<?php
/***************************************************************************
                          Etiko software
                             -------------------
    developement         : 2001-200x by Etikweb
    email                : webmaster@etikweb.com
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

include_once("./lib/classes/Order.php");
include_once("./lib/classes/Stock.php");


/** Show list of orders **/
function show_orders($user,$state,$beginDate,$endDate){
  global $db,$prefix,$site_prefix;


  $sql_query = "SELECT id,user_id,date,total,state FROM $site_prefix"."_orders WHERE 
       state='$state' AND date>='$beginDate' AND date<='$endDate' ";
  if($user) $sql_query.="AND user_id='$user' ";
  $sql_query.="ORDER BY DATE DESC";

  $list = mysql_query($sql_query,$db);

  echo '<table style="text-align: left; width: 100%;" border="1"
 cellpadding="0" cellspacing="0">
  <tbody>';
  echo "<tr>
      <td><b>N</b></td>
      <td><b>Ref</b></td>
      <td><b>Data</b></td>
      <td><b>Utiliz.</b></td>
      <td><b>Valor</b></td>
      <td><b></b></td>
      <td><b></b></td>
      <td><b></b></td>
      <td><b></b></td>
      </tr>";

  $i=1;
  $total_value=$total_cost=0;
  while( (list($id,$user_id,$date,$total,$state)=mysql_fetch_row($list))==true){
    $total_value+=$total;

    $prods=mysql_query("SELECT product_id,quant,cost,price FROM $site_prefix"."_order_products WHERE order_id='$id'");
    while( (list($product_id,$quant,$cost,$price)=mysql_fetch_row($prods)) ){
//     echo "order:$id---Product:$product_id CUSTO: $cost ---<br>";
     if($cost==0) $cost=get_variable_cond($site_prefix,"cost","products","id",$product_id);
//  if($price==0) $price=get_variable_cond($site_prefix,"price","products","id",$product_id);
     $total_cost+=$quant*$cost;
     }

    echo "<tr>
      <td>";
    show_url("./index.php?destin=admin&amp;op=orders&amp;op2=view&amp;order_id=$id",$i++);

    $user_name=get_variable_cond($prefix,"user_name","users","id",$user_id);
    $date=convert_date($date);

    echo "</td>
      <td>$id</td>
      <td>$date</td>
      <td>$user_name</td>
      <td>$total</td>
      <td>";
    if($state==2) show_url("./index.php?destin=admin&amp;op=orders&amp;op2=validate&amp;order_id=$id",VALIDATE);
    echo "</td>
      <td>";
    if($state==0) show_url("./index.php?destin=admin&amp;op=orders&amp;op2=attend&amp;order_id=$id",ATTEND);
    echo "</td>
      <td>";
    show_url("./index.php?destin=admin&amp;op=orders&amp;op2=cancel&amp;order_id=$id",CANCEL);
    echo "</td>
      <td>";
    show_url("./index.php?destin=admin&amp;op=orders&amp;op2=delete&amp;order_id=$id",DEL);
    echo "</tr>";
    }
  echo "</tbody>
</table>";

  echo COST.": $total_cost"; br();
  echo TOTAL.": $total_value"; br();
  echo VALUE.": ($total_value-$total_cost)=".($total_value-$total_cost); br();
 br();

  return $total_value;
  }

/** Show a single order **/
function show_order($id){
  global $db,$prefix,$site_prefix;

  echo "<h1>".ORDER." $id</h1>";
  $sql_query = "SELECT user_id,date,total,state,message FROM $site_prefix"."_orders WHERE id='$id'";
  $list = mysql_query($sql_query,$db);

  list($user_id,$date,$total,$state,$message)=mysql_fetch_row($list);
  $user_name=get_variable_cond($prefix,"user_name","users","id",$user_id);
  $date=convert_date($date);

  echo USER.": ";
  show_url("./index.php?destin=admin&amp;op=users&amp;op2=edit&amp;user_id=$user_id",$user_name); br();br();
  echo DATE.": $date"; br();br();
  show(TOTAL." $total E"); br();br();
  show(STATE." $state"); br();br();
  echo MESSAGE; br();

  output_text($message);
  }

// List all the orders
function show_orders_list(){
  global $db,$site_prefix;

   if( isset($_POST['beginDate']) ){
      $beginDate = unconvert_date($_POST['beginDate'])."000000";
      }else $beginDate=date('Ym') . "00000000";

  if( isset($_POST['endDate']) )
      $endDate = unconvert_date($_POST['endDate'])."999999";
      else $endDate=date('YmdHis');

//br();br();echo "---------$beginDate------------------$endDate--------------";br();br();
  begin_form();
  echo "<input type=\"hidden\" name=\"destin\" value=\"admin\">\n";
  echo "<input type=\"hidden\" name=\"op\" value=\"orders\">\n";

  echo START_DATE.": "; show_text("text","beginDate",15,convert_date("".$beginDate));
  br();
  echo END_DATE.": "; show_text("text","endDate",15,convert_date($endDate));

  br();
  end_form('send','Submeter');

  echo "<h1>".WAITING_ORDERS."</h1>"; // state = 0

  $total = show_orders(0, // All users
                       0, // State
                       $beginDate,$endDate);

  echo "<h1>".ATTENDED_ORDERS."</h1>";
  $total = show_orders(0, // All users
                       1, // State
                       $beginDate,$endDate);

  echo "<h1>".CANCELED_ORDERS."</h1>";
  $total = show_orders(0, // All users
                       2, // State
                       $beginDate,$endDate);
  }

/** Update stocks of all the products that have been submitted **/
function update_stocks(){
  global $db,$site_prefix;

  if(!isset($_POST['prod'])) return;

  foreach(array_keys($_POST['prod']) as $prod_id){

    $new_stock=$_POST['prod'][$prod_id];
    $code=get_variable_cond($site_prefix,"code","products","id",$prod_id);
    if(!empty($code)){
       $s = new Stock($code);
       $s->set($new_stock);
       }
   }

}

function show_stocks(){
  global $site_prefix,$db;


//  if() $order_by=$_GET['order_by']; else $order

  $order_by = isset($_GET['order_by']) ? $_GET['order_by'] : "name";

  if(isset($_POST['cat'])) $cat_id=$_POST['cat']; else $cat_id=1;

  update_stocks();

  $query = "SELECT DISTINCT $site_prefix"."_products.id,name,stock,cost,expire FROM $site_prefix"."_products,$site_prefix"."_product_categories WHERE  $site_prefix"."_products.id=$site_prefix"."_product_categories.product_id";

  if($cat_id!=1) $query .= " AND $site_prefix"."_product_categories.category_id='$cat_id' ";


  $query .= " ORDER BY $order_by ASC";

//   echo "------$query-------";
  $result=mysql_query($query,$db);

  begin_form();
  echo "<input type=\"hidden\" name=\"destin\" value=\"admin\">
        <input type=\"hidden\" name=\"op\" value=\"stocks\">";

  show_bold(STOCKS); br();

  echo CATEGORY.": "; show_select_submit($site_prefix,"cat","categories",$cat_id); br(); br();

  echo '<table style="text-align: left; width: 100%;" border="1"
 cellpadding="5" cellspacing="0">
  <tbody>
    <tr>
      <td><b><a href="./index.php?destin=admin&amp;op=stocks&amp;order_by=stock">'.QUANT.'</a></b></td>
      <td><b><a href="./index.php?destin=admin&amp;op=stocks&amp;order_by=name">'.NAME.'</a></b></td>
      <td><b><a href="./index.php?destin=admin&amp;op=stocks&amp;order_by=expire">'.EXPIRE_DATE.'</a></b></td>
      <td><b>'.COST.'</b></td>    </tr>';

  while( (list($id,$name,$stock,$cost,$expire)=mysql_fetch_row($result))==true){

  $code=get_variable_cond($site_prefix,"code","products","id",$id);

  $s = new Stock($code);
  $stock=$s->get();
  $expire = empty($expire) ? "" : date("Y.m.d",$expire);

    echo "<tr>
      <td>
      <input type=\"text\" size=\"5\"name=\"prod[$id]\" value=\"$stock\">
</td>
      <td>";
    show_url("./index.php?product_id=$id",$name);
    echo "</td>
        <td>
        $expire
        </td>
        <td>
        <input type=\"text\" size=\"5\"name=\"cost[$id]\" value=\"$cost\">
        </td>
        </tr>";
    }

  echo "</tbody>
</table>";
  $result=mysql_query("SELECT id,name,stock,cost FROM $site_prefix"."_products WHERE stock='-1000' ORDER BY name ASC ",$db);


  end_form("send",UPDATE);

  }





// Change orders data
function change_orders($id){
  global $site_prefix,$prefix,$op2,$order_id,$db,$confirm;

  if(get_variable_cond($site_prefix,"orders","admin","user_id",$id)==false) die(UNAVAILABLE_OPTION);

  $order = new Order($order_id);

  switch($op2){
    case "view":
      show_order($order_id);
      return;
      break;
    case "validate": 
      $order->validate();
      break;
    case "attend": 
      mysql_query("UPDATE $site_prefix"."_orders SET state='1' WHERE id='$order_id' ",$db);
      break;
    case "cancel": 
      $order->cancel();
      break;
    case "delete":
      if($confirm==false){
        show(DEL." $order_id?"); br(); br();
        show_url("./index.php?destin=admin&amp;op=orders&amp;op2=delete&amp;confirm=1&amp;order_id=$order_id",YES);
        br();
        show_url("./index.php?destin=admin&amp;op=orders",NO);
        return;
      }else{
      mysql_query("DELETE FROM $site_prefix"."_orders WHERE id='$order_id' ",$db);
      mysql_query("DELETE FROM $site_prefix"."_order_products WHERE order_id='$order_id' ",$db);
      }
      break;
    }


  show_orders_list();
  }


  
?>
