<?php

/***************************************************************************
                          Etiko software
                             -------------------
    developement         : 2001-200x by galaxia-alfa team
    email                : webmaster@etikweb.com

     This program is free software; you can redistribute it and/or modify
     it under the terms of the GNU General Public License as published by
     the Free Software Foundation; either version 2 of the License, or
     (at your option) any later version.

****************************************************************************/
//phpinfo();
header('Content-Type: text/html; charset=iso-8859-1');


require_once("lib/grab_globals.php"); // Grab global variables
require_once("config.php"); // Include configuration file

require_once("./lib/database.php"); // Contains 
require_once("./lib/stdout.php"); // br() and other small functions
require_once("./lib/forms.php"); // Text boxes, buttons, etc.

require_once("lib/classes/User.php");

require_once("./lib/authentication.php");



// Function to rewrite uri, if it doesn't contain www
function rewrite_uri(){
  global $HTTP_HOST,$site_prefix,$site_host,$_ENV;

  if (empty($HTTP_HOST)) {
    if (!empty($_ENV) && isset($_ENV['HTTP_HOST'])) {
        $HTTP_HOST = $_ENV['HTTP_HOST'];
        }
    else if (@getenv('HTTP_HOST')) {
        $HTTP_HOST = getenv('HTTP_HOST');
        }
    else {
        $HTTP_HOST = '';
        }
    }

  $uri = $_SERVER['PHP_SELF'];

  if( get_variable($site_prefix,"force_www","site") ==true) // Rewrite url, so that it contains www.
    if(strstr($HTTP_HOST,"www")==false){
       header("Location: $site_host"."$uri"); exit;
    }
  }


// Show first page
function show_outstand($site_type){
  global $site_prefix;

  $limit=get_variable($site_prefix,"main_articles","site");

  switch($site_type){
    case 1: // Articles
      require("require/article.php");
      break;

    case 3: // Classifieds
      require("require/classifieds.php");
      break;

   case 4: // Products
        require_once("./lib/classes/ProductList.php");
         $list = new ProductList();
         $list->show($limit);
      break;

   case 5: // Forum
      require("require/forum.php");
      break;

   case 6: // Gallery
      require("require/gallery.php");
      break;

   default: // Page 1
      require("require/pages.php");
      break;
    }
  }

function show_body(){
  global $site_prefix,$op;
  global $cat_id, $article_id,$class_id,$page_id,$file_id,$news_id,$product_id,$message_id,
         $logged_user_id,$img_src,$alt,$id,$event_id,$card_id;

  show_user_menu($logged_user_id); // // If logged in, show menu  (lib/specific/users.php)

  if(isset($_POST['destin'])) $destin = $_POST['destin'];
    else
    if(isset($_GET['destin'])) $destin = $_GET['destin'];
      else $destin="";

   if(isset($_SESSION['destin']) && $destin!="user" ){
     $destin = $_SESSION['destin'];
     unset($_SESSION['destin']);
     session_unregister('destin');
     }
// 
//    echo "destin = $destin";

  if(isset($_GET['name'])){ // Get article, page, category, product by name
    $name=$_GET['name'];

    $pieces = explode("-",$name);
    $type = $pieces[0];

    if(isset($pieces[1])) $doc_id = $pieces[1];

    if(file_exists("./lib/classes/$type.php")){
      require("./lib/classes/$type.php");
      $x = new $type($doc_id);
      $x->show();
      return;
      }

    $type=strtolower($type);
    require("./util/$type.php");
    return;
    }

  switch($destin){ // Parse of destination
    case "image":
      show_image($img_src,$alt);
      br(); show_url("javascript:history.go(-1);",BACK);
      break;
    case "news":
      require("require/newsletter.php");
      break;
    default:

      if(file_exists("util/$destin.php")==true){ // It's an utility: life counter, soy counter, etc
        require("util/$destin.php");
        return;
        }

      if(file_exists("require/$destin.php")==true){ // select file using destin : article, page, etc
        require("require/$destin.php");
        return;
        }
      if($event_id==true){
        require("util/cal.php");
        return;
        }

      if($card_id==true){
        require("require/eCard.php");
        return;
        }
      if($file_id==true){
        require("require/downloads.php");
        return;
        }
      if($class_id==true){
        require("require/classifieds.php");
        return;
        }
      if($news_id==true){
        require("require/newsletter.php");
        return;
        }
      if($message_id==true){
        require("require/forum.php");
        return;
        }
      if($img_src==true){
        show_image($img_src,$alt);
        br(); show_url("javascript:history.go(-1);",BACK);
        break;
        return;
        }

      if($article_id==true){
        require("require/article.php");
        return;
        }
      if($page_id==true){
        require("require/pages.php");
        return;
        }
      if($product_id==true){
        require("require/products.php");
        return;
        }
      if($cat_id==true){
        require("require/cat.php");
        return;
        }

      if($id==true){ // Evana news
        global $site_url;

        $myDomain = "www.centrovegetariano.org";
        $fname="http://www.evana.org/getdata.php?t=full&myFilename=index.php&domain=$myDomain&filter=article_id=$id";
	$lines = file($fname);
        foreach($lines as $line) echo $line;
        echo "URL: $site_url/index.php?id=$id"; br();
        echo "<small><a href=\"./index.php?print=1&amp;id=$id\" target=\"_blank\">".PRINT_."</a></small>";
        show("  -  <small>");
        show_url_title("./index.php?destin=submit&amp;user_id=-1&amp;subject=".NEWS."&amp;comments=$site_url/index.php?id=$id",SEND_FRIEND,SEND); br();
        show("</small>");
        echo "<small>".SOURCE.": <a href='http://www.evana.org' target='_blank'>EVANA</a></small>";
        break;
        return;
        }

      show_outstand(get_variable($site_prefix,"outstand","site"));
    }
  }


rewrite_uri(); // Force www in the uri

global $print,$_SERVER;

if($print==false)
  require("misc/header.php"); // Show site header and left menu
  else{
    echo "<script language=\"JavaScript\">
<!-- This stops non-javascript browsers from going MAD
window.print();
// -->
</script>
";
}

show_body();

if($print==false /*$destin!="print" && $op!="print" && $op2!="print"*/)
  require("misc/footer.php");
  else{
  br(); br();
  $query=explode("&",$_SERVER["QUERY_STRING"]);
  echo "$site_url/index.php?";
  foreach($query as $uri)
    if( strncmp($uri,"print",5) !=0) echo "&amp;$uri";
//   echo "$site_url/index.php";
  }


?>