<?php

/***************************************************************************
                          Etiko software

    developement         : 2001-200x by Etikweb team
    email                : webmaster@etikweb.com
    website              : http://etiko.etikweb.com
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

include_once("lib/classes/Stock.php");


class Product{

  var $id; // Product id (or false)

  /** Constructor to receive product id **/
  function Product($id=false){
    $this->id = $id;
    }


/** Show list of categories for this product **/
function showCatList(){
  global $site_prefix;

  $sql_query = "SELECT category_id FROM $site_prefix"."_product_categories WHERE product_id='$this->id'"; //
  $list = mysql_query($sql_query);

  require("lib/classes/CatList.php");

  while(list($id) = mysql_fetch_row($list)){
    $cat_list = new CatList($id);
    $cat_list->show();
    br();
    }
  }


  /** Show characteristics of the product **/
  function show(){
    global $site_prefix,$site_url,$logged_user_id,$db;

    if($this->id==false) return; // No data to show

    $sql_query="SELECT name,image1,outstand1,price,expire FROM $site_prefix"."_products WHERE id='$this->id'";
    $list=mysql_query($sql_query,$db);
    if(mysql_num_rows($list)<1) return; // Failed to get product - may not exist
    list($name,$image,$outstand,$price,$expire)=mysql_fetch_row($list);

    mysql_query("update $site_prefix"."_products set visits=visits+1 WHERE id='$this->id'",$db);  // Count one more access

    echo "<form action=\"index.php\" method=\"post\"> ";

    $sql_query="SELECT name,image1,outstand1,image2,outstand2,stock,comments,price,
         date,html,code FROM $site_prefix"."_products WHERE id='$this->id'";
    $list=mysql_query($sql_query,$db);
    list($name,$image1,$outstand1,$image2,$outstand2,$stock,$comments,$price,
         $date,$html,$code) = mysql_fetch_row($list);

    echo "<h1>$name</h1>\n";
    echo "<a href=\"index.php?img_src=images/products/$image1\" title=\"".SHOW_IMAGE."\"><img align=\"left\" alt=\"$name\" width=\"100\" src=\"images/products/$image1\"></a>"; br();

    br();
    show_bold($outstand1);
    br();  br();  br();

  //  echo "<hr size=1>";
    if($html) smart_output_text($comments); else output_text($comments);
  //  echo "<hr size=1>";
//  echo "<div class=\"clearer\"></div>";

    if($image2==true)
       echo "<a href=\"index.php?destin=image&amp;op=show&amp;img_src=images/products/$image2\" title=\"".SHOW_IMAGE."\"><img align=\"left\" width=\"100\" src=\"images/products/$image2\"></a>";

    br();  show_bold($outstand2);  br();
    
    $price=sprintf("%.2f",$price);

    $currency=get_variable($site_prefix,"currency","site");
    br(); show_bold(PRICE); show(": $currency"." $price"); br();

    br();
    echo "<h3>".DETAILS."</h3>";

    
    
    if(!empty($expire)){
      $expire = empty($expire) ? "" : date("Y.m.d",$expire);
      show_bold(EXPIRE_DATE.":"); echo " $expire ";
      echo "<hr size=\"1px\">";
    }
    
    
    show_bold(STOCK.": ");

/*  global $stock_server;
  if(!empty($stock_server)){
     $ss = file($stock_server."?op=get&code=$code");
     $stock = $ss[0]=="false" ? $stock : $ss[0];
     }*/
// $stock_server = "http://65.99.239.124/~etikweb/st/stock.php"

    $code=get_variable_cond($site_prefix,"code","products","id",$this->id);
    $s = new Stock($code);
    $stock=$s->get();


//     if($stock==-1000) echo UNLIMITED;  else
    if($stock>0 || $stock==-1000) echo YES; else echo OUT_OF_STOCK;

    echo "<hr size=\"1px\">";

//   $this->showProductChars();
    $sql_query="SELECT $site_prefix"."_chars.id,$site_prefix"."_chars.name,$site_prefix"."_product_chars.value,$site_prefix"."_chars.unit FROM
    $site_prefix"."_product_chars,$site_prefix"."_chars WHERE $site_prefix"."_product_chars.product_id='$this->id' AND
    $site_prefix"."_product_chars.char_id=$site_prefix"."_chars.id";
    $result=mysql_query($sql_query);

    $i=0;
    while( (list($char_id,$name,$value,$unit) = mysql_fetch_row($result))==true) { // Show characteristics

      $opt=0;

      $r=mysql_query("SELECT id,name FROM $site_prefix"."_opt_chars WHERE char_id='$char_id' ");
      if(mysql_num_rows($r)>0) $opt=1; // Characteristic has options

      show_bold("$name ");

      if($opt==false) show("$value $unit");
        else {
        show_select_cond($site_prefix,"opt[$i]","opt_chars",0,"char_id",$char_id);
        $i++;
        }

      br();
      echo "<hr size=\"1px\">";
      }

    echo "<small>".CATEGORY.": "; 
    $this->showCatList();

/*    $date=convert_date($date);
    if($date==true) echo INSERT_DATE.": $date\n"; br();*/
    echo "</small>";

    echo "<input type=\"hidden\" name=\"destin\" value=\"basket\">
<input type=\"hidden\" name=\"op\" value=\"add\">
<input type=\"hidden\" name=\"product_id\" value=\"$this->id\">";


    br();  end_form("buy",BUY_PRODUCT);  br(); 

    echo "[ ";
    show_url_title("index.php?destin=forum&amp;op=post&amp;cat=$this->id",WRITE_COMMENT,COMMENT);
    if(is_user($_SESSION['logged_user_id'])){
      echo " | ";
      show_url_title("index.php?destin=favourites&amp;op=add&amp;iid=$this->id",ADD_TO_FAVOURITES,FAVOURITES);
    }
    echo " ]";

   if(is_admin($logged_user_id)){
      show("  -  ");
      show_url("index.php?destin=products&amp;op=edit&amp;product_id=$this->id",EDIT);
      show("  -  ");
      show_url("index.php?destin=products&amp;op=del&amp;product_id=$this->id",DEL);
      }


  $sql_query="SELECT p1,p2 FROM $site_prefix"."_product_relations WHERE p1='$this->id' OR p2='$this->id' ORDER BY id";
  $result=mysql_query($sql_query,$db);
  if(mysql_num_rows($result)){
    echo "<div class=\"box2\">";
    echo "<h1>".RELATED_PRODUCTS."</h1>";
    while(list($p1,$p2)=mysql_fetch_row($result)){
      $p1 = ($p1==$this->id) ? $p2 : $p1;
      $p=new Product($p1);
      $p->showAbstract();
      br();
      }
    echo "</div>";
    br();
    }

//   echo "-------------$sql_query---------";

    include_once("lib/classes/CommentList.php");
    $list=new CommentList($this->id);
    if($list->getSize()==0) return;

    echo "<div class=\"box2\">";
    echo "<h1>".COMMENTS."</h1>";
    $list->show();
    echo "</div>";

  }

  /** Show product abstract **/
  function showAbstract(){
    global $site_prefix,$site_url,$logged_user_id,$db;

    if($this->id==false) return; // No data to show

//     require_once("lib/classes/DB.php");
//     $db = new DB();

    $sql_query="SELECT name,image1,outstand1,price FROM $site_prefix"."_products WHERE id='$this->id'";
    $list=mysql_query($sql_query,$db);
    if(mysql_num_rows($list)<1) return; // Failed to get product - may not exist
    list($pname,$image,$outstand,$price)=mysql_fetch_row($list);

    echo "<div class=\"productAbstract\">\n";


    if($image==true) output_image("images/products/$image",125,$image);
      else echo "<div class=\"floatLeftRect\" style=\"background-color: #fff;\">
                   $outstand
                 </div>";
    echo "
<h1>$pname</h1>
<h4>$outstand</h4>\n";

    $price=sprintf("%.2f",$price);

    $currency=get_variable($site_prefix,"currency","site");
    echo "<small>".PRICE.":   $currency"." $price</small>\n"; br();br();


    echo "<div class=\"clearer\">\n<small>";

    echo "<form action=\"index.php\" method=\"post\"> ";
    echo "<input type=\"hidden\" name=\"destin\" value=\"basket\">
<input type=\"hidden\" name=\"op\" value=\"add\">
<input type=\"hidden\" name=\"product_id\" value=\"$this->id\">";



// Show optional chars
    $sql_query="SELECT $site_prefix"."_chars.id,$site_prefix"."_chars.name,$site_prefix"."_product_chars.value,$site_prefix"."_chars.unit FROM
    $site_prefix"."_product_chars,$site_prefix"."_chars WHERE $site_prefix"."_product_chars.product_id='$this->id' AND
    $site_prefix"."_product_chars.char_id=$site_prefix"."_chars.id";
    $result=mysql_query($sql_query);

    $i=0;
    while( (list($char_id,$name,$value,$unit) = mysql_fetch_row($result))==true) { // Show characteristics
      $opt=0;
      $r=mysql_query("SELECT id,name FROM $site_prefix"."_opt_chars WHERE char_id='$char_id' ");
      if(mysql_num_rows($r)>0) $opt=1; // Characteristic has options
      if($opt){
        show_bold("$name "); show_select_cond($site_prefix,"opt[$i]","opt_chars",0,"char_id",$char_id); echo " ";  $i++;
        }
    }

//     br();
    echo "<input type=\"submit\" name=\"buy\" value=\"".BUY_PRODUCT."\"> ";


    echo " [ ";

    if(is_admin($logged_user_id)){
      show_url("index.php?destin=products&amp;op=edit&amp;product_id=$this->id",EDIT);
      show("  -  ");
      show_url("index.php?destin=products&amp;op=delete&amp;product_id=$this->id",DEL);
      show("  -  ");
      }

    $uname = encode_string($pname);
    show_url_title("Product-$this->id-$uname.html",SEE_MORE_INFO,SEE_DETAILS);
    echo " - ";

    show_url_title("index.php?destin=submit&amp;user_id=-1&amp;subject=$name&amp;comments=$site_url/Product-$this->id-$uname.html",SEND_FRIEND,SEND);

    echo " ]";

echo "</form>";

echo "</small>
  </div>
  </div>";

    }


// Show list of  categories of a given article
function categoriesSelect(){
  global $site_prefix;

  $i=0;

  $max_cat=get_variable($site_prefix,"max_categories","site");

  if($this->id==true){
    $sql_query = "SELECT id,category_id FROM $site_prefix"."_product_categories WHERE product_id='$this->id' ORDER BY id";
    $list = mysql_query($sql_query);

    while((list($id,$category_id) = mysql_fetch_row($list))==true){
      show_select($site_prefix,"new_cat[$i]","categories",$category_id);
      $i++;
      }
    }

  for(;$i<$max_cat;$i++)   show_select($site_prefix,"new_cat[$i]","categories","1");
  }



function charsList(){
  global $site_prefix,$db;

  $i=0;

  $sql_query = "SELECT id,name,unit FROM $site_prefix"."_chars WHERE parent>'0' ORDER BY id"; // Get list of characteristics
  $list = mysql_query($sql_query);

  while( (list($id,$name,$unit)=mysql_fetch_row($list))==true){ // For each characteristic
    br();

    $result=mysql_query("SELECT id,name FROM $site_prefix"."_opt_chars WHERE char_id='$id' ");
    if(mysql_num_rows($result)>0) $opt=1; // Characteristic has options
      else $opt=false;

    if($this->id==false){
      if($opt==false) echo "$name <input type=\"text\" name=\"new_char[$id]\" size=20> $unit";
        else { show_checkbox("new_char[$id]",0); echo " $name"; }
      }else{
      $result=mysql_query("SELECT value FROM $site_prefix"."_product_chars WHERE product_id='$this->id' AND char_id='$id'",$db); // Get value
      list($value) = mysql_fetch_row($result);
      if($opt==false) echo "$name <input type=\"text\" name=\"new_char[$id]\" size=20 value=\"$value\"> $unit";
        else { show_checkbox("new_char[$id]",$value); echo " $name";}
      }

    br();
    }
  br();
  }






function edit(){
  global $site_prefix,$db;


  begin_data_form();
  echo "<input type=\"hidden\" name=\"destin\" value=\"products\">";
  echo "<input type=\"hidden\" name=\"op\" value=\"save\">";

  echo "<h1>".PRODUCTS_FORM."</h1>";

  $use_wysiwyg=get_variable($site_prefix,"wysiwyg","site");


  if($this->id == true){
    $sql_query="SELECT name,image1,outstand1,comments,visits,image2,outstand2,date,price,ship_price,first_page,valid,weight,code,html,description,keywords,expire FROM $site_prefix"."_products WHERE id='$this->id'";
    $result=mysql_query($sql_query,$db);
//echo "--------------$sql_query-------";

    list($pname,$image1,$outstand1,$comments,$visits,$image2,$outstand2,$date,$price,$ship_price,$first_page,$valid,$weight,$code,$html,$description,$keywords,$expire)=mysql_fetch_row($result);

    $s = new Stock($code);
    $stock=$s->get();

    echo EDITING.": $pname ($this->id)"; br();
    echo "<input type=\"hidden\" name=\"product_id\" value=\"$this->id\">";
    } else{
    $first_page=1;
    $pname=$visits=$valid=$outstand1=$image1=$outstand2=$image2=$stock=$price=$ship_price=$comments=$weight=$code=$description=$keywords="";
    if($use_wysiwyg) $html=true; else $html=false;
    }

  br(); show_checkbox("first_page",$first_page); echo SHOW_ENTRY_PAGE.".";
  br(); show_checkbox("valid",$valid); echo VALID.".";
  br(); show_checkbox("html",$html); show(HTML);
  br(); br();

  echo '<table border="0"><tbody><tr><td>';

  echo TITLE.": </td><td>";  show_text("text","pname",45,$pname);

  echo "</td></tr><tr><td>";
  echo DESCRIPTION.":</td><td> ";  show_text("text","description",45,$description);
  echo "</td></tr><tr><td>";

  echo "</td></tr><tr><td>";
  echo KEYWORDS.":</td><td> ";  show_text("text","keywords",45,$keywords);
  echo "</td></tr><tr><td>";

  echo "</td></tr><tr><td>";
  echo CODE.":</td><td> ";  show_text("text","code",10,$code);
  echo "</td></tr><tr><td>";

  echo "</td></tr><tr><td>";
  echo VISITS.":</td><td> ";  show_text("text","visits",4,$visits);
  echo "</td></tr><tr><td>";

  echo "</td></tr><tr><td>";
  show(VALID_STOCK.'</td><td> ');   show_text("text","stock",5,$stock);
  echo "</td></tr><tr><td>";

  echo "</td></tr><tr><td>";
  show(OUTSTAND.' 1</td><td>');   show_text("text","outstand1",40,$outstand1);
  echo "</td></tr><tr><td>";

  echo "</td></tr><tr><td>";
  show(IMAGE.' 1: '); if($image1==true) echo " [$image1]";
  echo "</td><td><input type=\"file\" name=\"image1\">";
  echo "</td></tr><tr><td>";

  echo "</td></tr><tr><td>";
  show(OUTSTAND.' 2</td><td> ');   show_text("text","outstand2",40,$outstand2);
  echo "</td></tr><tr><td>";

  show(IMAGE.' 2: ');
  if($image2==true){
     echo " [$image2 - ";
     show_url_title("index.php?destin=products&amp;op=delImage&amp;product_id=$this->id",DEL,DEL);
     echo "] ";
     }
  echo "</td><td><input type=\"file\" name=\"image2\">";
  echo "</td></tr><tr><td>";

  echo "</td></tr><tr><td>";
  echo PRICE.'</td><td>';   show_text("text","price",7,$price);
  echo "</td></tr><tr><td>";

  echo "</td></tr><tr><td>";
  echo WEIGHT.'</td><td>';  show_text("text","weight",7,$weight);
  echo "</td></tr><tr><td>";

  echo "</td></tr><tr><td>";
  echo SHIP_PRICE.'</td><td>';  show_text("text","ship_price",7,$ship_price);
  echo "</td></tr><tr><td>";

  $expire = empty($expire) ? "" : date("Y.m.d",$expire);
  echo "</td></tr><tr><td>"; 
  echo EXPIRE_DATE.' (YYYY.MM.DD)</td><td>';  show_text("text","expire",12,$expire);
  echo "</td></tr><tr><td>";

  echo "</td></tr></tbody></table>";


  br(); br();
  show(CATEGORIES.': ');
  $this->categoriesSelect();

  br(); br();  show(COMMENTS.': ');  br();

  $use_wysiwyg=get_variable($site_prefix,"wysiwyg","site");
//   if(!$use_wysiwyg){


  echo "<textarea name=\"comments\" id=\"comments\"  rows=\"10\" cols=\"65\">$comments</textarea>";

  if($use_wysiwyg && $html) echo "<script language=\"JavaScript\">
   generate_wysiwyg('comments');
 </script>";


  br(); br();

  $this->charsList();

  echo RELATED_PRODUCTS.": ";
  $i=0;
  $sql_query="SELECT id,p1 FROM $site_prefix"."_product_relations WHERE p2='$this->id' ORDER BY id";
  $result=mysql_query($sql_query,$db);
  while(list($id,$p1)=mysql_fetch_row($result)){
    show_select_submit($site_prefix,"relation[$i]","products",$p1);
    $i++;
    }
  $sql_query="SELECT id,p2 FROM $site_prefix"."_product_relations WHERE p1='$this->id' ORDER BY id";
  $result=mysql_query($sql_query,$db);
  while(list($id,$p1)=mysql_fetch_row($result)){
    show_select_submit($site_prefix,"relation[$i]","products",$p1);
    $i++;
    }


  $sql_query = "SELECT id,name FROM $site_prefix"."_"."products WHERE id!='$this->id' ORDER BY name";
  $list = mysql_query("$sql_query");

  echo "<select name=\"relation[$i]\">
        <option value=\"0\">".NONE."</option>";

  while(list($list_id,$list_name) = mysql_fetch_row($list)){
    echo "<option value=\"$list_id\">$list_name</option>\n";
    }
  echo "</select>";


//   show_select_submit($site_prefix,"relation[$i]","products",$this->id);

// echo "--------$sql_query---------";

  br(); br();
  end_form("send",SUBMIT);

  if($this->id==true){
    echo '<div class="box">';
    begin_form();
    echo "<input type=\"hidden\" name=\"destin\" value=\"products\">";
    echo "<input type=\"hidden\" name=\"op\" value=\"addToMenu\">";
    echo "<input type=\"hidden\" name=\"product_id\" value=\"$this->id\">";
    echo ADD_TO_MENU.": "; show_select($site_prefix,"block_id","blocks",false);
    end_form("send",SUBMIT);
    echo "</div>";
    }

  }





// Insert a new product in database
function insert(){
  global $site_prefix,$db;

  $insert_date=date("YmdHmi");

  mysql_query("LOCK TABLE $site_prefix"."_products WRITE",$db);
  $sql_query="INSERT INTO $site_prefix"."_products (id,date) VALUES (NULL,'$insert_date')";
  mysql_query($sql_query,$db);

  $result=mysql_query("SELECT id FROM $site_prefix"."_products ORDER BY id DESC");
  mysql_query("UNLOCK TABLES",$db);

  $this->id=mysql_result($result,0);
  }


function save(){
  global $site_prefix,$db;

  if($this->id==false) $this->insert();

  if(isset($_POST['first_page'])) $first_page=1; else $first_page=0;
  if(isset($_POST['valid'])) $valid=1; else $valid=0;

  $comments = stripslashes( $_POST['comments'] ) ;

  $result=mysql_query("SELECT id FROM $site_prefix"."_products WHERE name='$_POST[pname]' AND id!='$this->id'");
  if(mysql_num_rows($result)) echo "<div class=\"box\">".DUPLICATE_ENTRY."</div>";

  $pieces=explode(".",$_POST['expire']);
  $expire = count($pieces)==3 ? mktime(0,0,0,$pieces[1],$pieces[2],$pieces[0]) : "";
// echo "---------------$expire---------------------";
  if(isset($_POST['html'])) $html='1';  else $html=0;

  $sql_query="UPDATE $site_prefix"."_products SET name='$_POST[pname]',outstand1='$_POST[outstand1]',
      comments='$comments',price='$_POST[price]',ship_price='$_POST[ship_price]',visits='$_POST[visits]',first_page='$first_page',valid='$valid',outstand2='$_POST[outstand2]',weight='$_POST[weight]',code='$_POST[code]',html='$html',description='$_POST[description]',keywords='$_POST[keywords]',expire='$expire' WHERE id='$this->id'";
  mysql_query($sql_query,$db);

  if(!empty($_POST['stock'])){
    $s = new Stock($_POST['code']);
    $stock=$s->set($_POST['stock']);
  }

  require_once("lib/classes/File.php");

  if( isset($_FILES['image1']) && !empty($_FILES['image1']["name"]) ){

    $image1=get_variable_cond($site_prefix,"image1","products","id","$this->id"); @unlink("images/products/$image1");

    $f = new File("image1","images/products");
    $filename1= $f->getName();

    $sql_query="UPDATE $site_prefix"."_products SET image1='$filename1' WHERE id='$this->id'";
    mysql_query($sql_query,$db);
    }

  if( isset($_FILES['image2']) && !empty($_FILES['image2']["name"])){

    $image2=get_variable_cond($site_prefix,"image2","products","id","$this->id"); @unlink("images/products/$image2");

    $f = new File("image2","images/products");
    $filename= $f->getName();

    $sql_query="UPDATE $site_prefix"."_products SET image2='$filename' WHERE id='$this->id'";
    mysql_query($sql_query,$db);
    }

  $this->updateCategories();
  $this->updateChars();


  $sql_query="DELETE FROM $site_prefix"."_product_relations WHERE p1='$this->id' OR p2='$this->id' ";
  $result=mysql_query($sql_query,$db);
  $rel=$_POST['relation'];
  foreach($rel as $r){
    if($r==$this->id || $r==0) continue;
    $sql_query="INSERT INTO $site_prefix"."_product_relations (id,p1,p2) VALUES (NULL,'$this->id','$r')";
    $result=mysql_query($sql_query,$db);
//     echo "-----------$sql_query---------";
    }

  }

// Update list of  categories of a given article
function updateCategories(){
  global $site_prefix;

  $sql_query = "DELETE FROM $site_prefix"."_product_categories WHERE product_id='$this->id'"; // Reset list
  $list = mysql_query("$sql_query");

  foreach($_POST['new_cat'] as $cat){
     if($cat==1) continue;
     $sql_query = "INSERT INTO $site_prefix"."_product_categories (id,product_id,category_id) VALUES (NULL,'$this->id','$cat')"; //
    mysql_query($sql_query);
    }
  }



function updateChars(){
  global $site_prefix,$db;

  $sql_query = "DELETE FROM $site_prefix"."_product_chars WHERE product_id='$this->id'"; // Reset list
  $list = mysql_query("$sql_query",$db);

  $sql_query = "SELECT id FROM $site_prefix"."_chars order BY id"; // Reset list
  $list = mysql_query("$sql_query",$db);

//  echo "$sql_query";

  if(isset($_POST['new_char'])) $new_char = $_POST['new_char'];
  while((list($id)=mysql_fetch_row($list)) ==true){
    if(isset($new_char[$id])==true && $new_char[$id]!=""){
//echo "IS SET $new_char[$id]<br>";
         $sql_query = "INSERT INTO $site_prefix".
        "_product_chars (id,product_id,char_id,value) VALUES (NULL,'$this->id','$id','$new_char[$id]')"; //
     mysql_query("$sql_query");
     }
    }
  }




// Add page link to menu
function addToMenu(){
  global $site_prefix;

  $result=mysql_query("SELECT name FROM $site_prefix"."_products WHERE id='$this->id'");
  $name = mysql_result($result,0);
  $uname = encode_string($name);

  $result=mysql_query("SELECT html,body FROM $site_prefix"."_blocks WHERE id='$_POST[block_id]'");
  list($html,$body) = mysql_fetch_row($result);

  if($html){
    $n = strrpos($body,"<");
    if($n==0) $body= "<ul>\n"; else $body=substr($body,0,$n);

    $body .="

<li><a href=\"Product-$this->id-$uname.html\" title=\"$name\">$name</a></li>
</ul>";
    }else{
    $body .="
Page-$this->id-$uname.html $name
";
    }

  $result=mysql_query("UPDATE $site_prefix"."_blocks SET body='$body' WHERE id='$_POST[block_id]'");
  }



//  Delete article
function del(){
  global $site_prefix,$db;

  mysql_query("DELETE FROM $site_prefix"."_products WHERE id='$this->id'",$db);
  mysql_query("DELETE FROM $site_prefix"."_basket WHERE product_id='$this->id'",$db);
  mysql_query("DELETE FROM $site_prefix"."_product_chars WHERE product_id='$this->id'",$db);
  mysql_query("DELETE FROM $site_prefix"."_product_categories WHERE product_id='$this->id'",$db);
  }




// Show list of articles not classified under any category
function unclassifieds(){
  global $db,$site_prefix;


  $sql_query="SELECT id,name FROM $site_prefix"."_products WHERE valid='1'";
  $list=mysql_query($sql_query,$db);

  while( (list($id,$name)=mysql_fetch_row($list)) == true){


    $result=mysql_query("SELECT id FROM $site_prefix"."_product_categories WHERE product_id='$id'");
    if(mysql_num_rows($result)>0) continue; // Article is classified

    show_url_title("index.php?product_id=$id",SEE_PRODUCT,$name);
    echo "&nbsp;-&nbsp;";
    show_url_title("index.php?destin=products&amp;op=edit&amp;product_id=$id",EDIT_ARTICLE,EDIT);
    echo "&nbsp;-&nbsp;";
    show_url_title("index.php?destin=products&amp;op=delete&amp;product_id=$id",DEL_ARTICLE,DEL);
    br();
    }


  $sql_query="SELECT id,name FROM $site_prefix"."_products WHERE valid='0'";
  $list=mysql_query($sql_query,$db);

  while( (list($id,$name)=mysql_fetch_row($list)) == true){

    show_url_title("index.php?product_id=$id",SEE_PRODUCT,$name);
    echo "&nbsp;-&nbsp;";
    show_url_title("index.php?destin=products&amp;op=edit&amp;product_id=$id",EDIT_ARTICLE,EDIT);
    echo "&nbsp;-&nbsp;";
    show_url_title("index.php?destin=products&amp;op=delete&amp;product_id=$id",DEL_ARTICLE,DEL);
    br();
    }
  }



}

?>
