<?php

/***************************************************************************
                          Etiko software

    developement         : 2001-200x by Etikweb team
    email                : webmaster@etikweb.com
    website              : http://etiko.etikweb.com
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/


class Promotion{
  var $id; // Promotion id (or false)

/** Constructor to receive product id **/
function Promotion($id=false,$user=false){
  global $prefix,$site_prefix;

  $this->id = $id;

  if($user){
      $email=get_variable_cond($prefix,"email","users","id",$user);
      $this->id=get_variable_cond($site_prefix,"id","promotions","email",$email);
      }
  }

function getUserPromotion($user_id){
  global $prefix,$site_prefix,$db;

  if(!$user_id) return 0;
  $u=new User($user_id);
  if(!$u->isUser()) return 0;

  require_once("./lib/classes/UserOrders.php");
  $user_orders=new UserOrders($user_id);

  $date=time();
  mysql_query("DELETE FROM $site_prefix"."_promotions WHERE expire<'$date'",$db); // Delete expired promotions

  if($user_orders->getPendingNumber()) return 0; // No promotions for users with pending orders

  $email=get_variable_cond($prefix,"email","users","id",$user_id);
  return get_variable_cond($site_prefix,"value","promotions","email",$email);
  }


function showForm(){

  echo "<h1>".PROMOTIONS_FORM."</h1>";

  begin_form();
  echo "<input type=\"hidden\" name=\"destin\" value=\"promotions\">";
  echo "<input type=\"hidden\" name=\"op\" value=\"confirm\">";

  $emails = isset($_POST['emails']) ? $_POST['emails'] : "";
  $value = isset($_POST['value']) ? $_POST['value'] : "";
  $date = isset($_POST['date']) ? $_POST['date'] : "";
  $subject = isset($_POST['subject']) ? $_POST['subject'] : "";
  $message = isset($_POST['message']) ? $_POST['message'] : "";


  br(); show(EMAILS.": "); br();
  show("<textarea name=\"emails\" rows=\"8\" cols=\"55\">$emails</textarea>");

  br(); show(VALUE." (".CURRENCY."): "); show_text("text","value",3,$value);

  br(); show(DATE." (YYYY.MM.DD): "); show_text("text","date",15,$date);

  br(); br(); 
  show(SUBJECT.": "); show_text("text","subject",30,$subject);
  br(); show(MESSAGE.": "); br();
  show("<textarea name=\"message\" rows=\"8\" cols=\"55\">$message</textarea>");

  br(); br();
  end_form("send",SUBMIT);
  }


/** Confirm before inserting **/
function  confirm(){
  global $site_prefix,$op;

  echo "<h1>".PROMOTIONS_FORM_CONFIRM."</h1>";

  begin_form();
  echo "<input type=\"hidden\" name=\"destin\" value=\"promotions\">";
  echo "<input type=\"hidden\" name=\"op\" value=\"save\">";

  $emails = isset($_POST['emails']) ? $_POST['emails'] : "";

//   if(isset($_POST['emails'])) $emails=$_POST['emails']

  echo "<input type=\"hidden\" name=\"emails\" value=\"$emails\">";
  echo "<input type=\"hidden\" name=\"value\" value=\"$_POST[value]\">";
  echo "<input type=\"hidden\" name=\"date\" value=\"$_POST[date]\">";
  echo "<input type=\"hidden\" name=\"subject\" value=\"$_POST[subject]\">";
  echo "<input type=\"hidden\" name=\"message\" value=\"$_POST[message]\">";

  br(); show(EMAILS.": "); br();
  output_text($_POST['emails']);

  br(); show(VALUE.": $_POST[value]");
  br(); show(DATE.": $_POST[date]");
  br(); br(); 

  echo "<h4>".MESSAGE."</h4>";

  show(SUBJECT.": $_POST[subject]");
  br(); show(MESSAGE.": "); br();
  output_text($_POST['message']);

  br(); br();
  echo "<input type=\"submit\" name=\"op\" value=\"".EDIT."\">";
  end_form("op",SUBMIT);
  }


/** Save promotion into database **/
function save(){
  global $site_prefix,$db,$site_url;


  $emails=explode("\n",$_POST['emails']);

  $admin_email=get_admin_email();

  foreach($emails as $email){
    $email=trim($email);
    if($email==false || $email=="") continue;
//echo "VERIFY:--$email--<br>";
    $result=mysql_query("SELECT id FROM $site_prefix"."_promotions WHERE email='$email'");
    if(mysql_num_rows($result)==true){
      echo "$email ".ALREADY_INSERTED; br();
      continue;
      }
    $d=explode(".",$_POST['date']);
    $date = mktime(0,0,0,$d[1],$d[2],$d[0]);
    $sql_query="INSERT INTO $site_prefix"."_promotions (id,email,value,expire) VALUES (NULL,'$email','$_POST[value]','$date')";
    mysql_query($sql_query,$db);

//  echo "INSERTED:--$email--<br>";
    require_once("./lib/phpmailer/sendMail.php");

    if($_POST['subject']==true)
      sendMail($admin_email,"$admin_email",$email,"$email",$_POST['subject']." $site_url",$_POST['message']);

//  mail($email,$_POST['subject'],$_POST['message'],"FROM: $admin_email");
    }
  }


/** Delete this promotion **/
function del(){
  global $site_prefix,$op,$db;

  mysql_query("DELETE FROM $site_prefix"."_promotions WHERE id='$this->id'",$db);
  }


// Display the list of active promotions
function showList(){
  global $site_prefix,$db;

  $sql_query = "SELECT id,email,value,expire FROM $site_prefix"."_promotions ORDER BY expire,email";
  $list = mysql_query($sql_query,$db);

  $i=1;
  echo "<table cellpadding=\"5\" cellspacing=\"0\" border=\"1\">";
  echo "<tr><td>ID</td><td>".VALUE."</td><td>".EMAIL."</td><td>".END_DATE."</td><td>";

  while( (list($list_id,$list_email,$list_value,$expire) = mysql_fetch_row($list))==true){
    $expire = date("Y.m.d-H-i",$expire);
    echo "<tr><td>$i</td><td>$list_value</td><td>$list_email</td><td>$expire</td><td>";
    show_url("./index.php?destin=promotions&amp;op=delete&amp;promo_id=$list_id",DEL);
    echo "</td></tr>";
    $i++;
    }
  echo "</table>";
  }



}

?>
