<?php
/***************************************************************************
                          Etiko software
                             -------------------
    developement         : 2001-200x by Etikweb
    email                : webmaster@etikweb.com

 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

class Site{


/** Constructor **/
function Site(){

    }



/** List of available CSS styles **/
function show_styles($style){
  global $site_prefix,$db;

  $dir = @opendir("./misc/styles"); // open the directory

  echo "<select name=\"new_style\" >";

  while( ($file=readdir($dir)) == true){ // loop once for each name in the directory

    if($file == "." || $file == ".." ) continue; // very and parent directories
    if(is_dir("./misc/styles/$file")==true) continue; // Directory

    if($file==$style)
      echo "<option selected value=\"$file\">$file</option>\n";
      else
      echo "<option value=\"$file\">$file</option>\n";

    }
  echo "</select>";
  closedir($dir); // now that all the rows have been built close the directory
  }


/** List of available language files **/
function show_languages($lang){
  global $site_prefix,$db;

  $dir = @opendir("./lang"); // open the directory

  echo "<select name=\"lang\">";

  while( ($file=readdir($dir)) == true){ // loop once for each name in the directory

    if($file == "." || $file == ".." ) continue; // very and parent directories
    if(is_dir("./lang/$file")==true) continue; // Directory

    if($file==$lang) echo "<option selected value=\"$file\">$file</option>\n";
      else echo "<option value=\"$file\">$file</option>\n";

    }
  echo "</select>";
  closedir($dir); // now that all the rows have been built close the directory
  }


function show_organisation(){
  global $prefix,$site_prefix;

  echo '<div class="box">';
  echo "<h2>".ORGANISATION."</h2>";

  echo "<table><tr><td>".NAME.": </td><td>";
  show_text("text","org_name",30,get_variable($prefix,"name","organisation"));

  echo "</td></tr><tr><td>".ADDRESS.": </td><td>";
  show_text("text","org_address",30,get_variable($prefix,"address","organisation"));

  echo "</td></tr><tr><td>".COMMENTS.": </td><td>";
  show_text("text","org_comments",30,get_variable($prefix,"comments","organisation"));

  echo "</td></tr><tr><td>".DEFAULT_COUNTRY.": </td><td>";
  show_select($prefix,"def_country","countries",get_variable($site_prefix,"default_country","site"));

  echo "</td></tr><tr><td>".SLOGAN.": </td><td>";
  show_text("text","slogan",50,get_variable($site_prefix,"slogan","site"));


  echo "</td></tr></table>";

  echo '</div>';
  }


function show_site(){
  global $prefix,$site_prefix;

  echo '<div class="box">';
  echo "<h2>".SITE."</h2>";
  br();
  echo "<table><tr><td>".TITLE.": </td><td>";
  show_text("text","site_name",30,get_variable($site_prefix,"name","site"));
  echo "</td></tr><tr><td>".STYLE.": </td><td>";
  $site_style=get_variable($site_prefix,"style","site"); // Get current style sheet id
  $this->show_styles($site_style);

  $site_lang=get_variable($site_prefix,"lang","site"); // Get current language

  echo "</td></tr><tr><td>".LANGUAGE.": </td><td>";
  $this->show_languages($site_lang);

  $logo=get_variable($site_prefix,"logo","site");

  echo "</td></tr><tr><td>".LOGO; if(!empty($logo)) echo " [$logo <a href=\"./index.php?destin=admin_site&op=delete_logo\">".DEL."]"; echo ": </td><td>";
  echo "<input type=\"file\" name=\"logo\">";

  echo "</td></tr><tr><td>".START_DATE.": </td><td>";
  show_text("text","start_date",8,get_variable($site_prefix,"start_date","site"));

  $counter=get_variable($site_prefix,"counter","site");
  echo "</td></tr><tr><td>".COUNTER." ($counter): </td><td>";
  show_text("text","counter",5,"");

  echo "</td></tr><tr><td>".ASSOCIATED_INTEREST.": </td><td>";
  show_select($prefix,"new_associated_interest","interests",get_variable($site_prefix,"associated_interest","site"));

  echo "</td></tr></table>";




  br(); show(KEYWORDS.": "); br();
  $keywords=get_variable($site_prefix,"keywords","site");
  show("<textarea name=\"new_keywords\" rows=\"2\" cols=\"55\">$keywords</textarea>");

  br(); br(); show(DESCRIPTION.": "); br();
  $description=get_variable($site_prefix,"description","site");
  show("<textarea name=\"new_description\" rows=\"3\" cols=\"55\">$description</textarea>");

  br();br(); show(ADDITIONAL_HEADER.": "); br();
  $header=stripslashes(get_variable($site_prefix,"add_header","site"));
  show("<textarea name=\"add_header\" rows=\"3\" cols=\"55\">$header</textarea>");


  br();  br(); show(HEADER_MENU.":"); br();
  $centre_menu=get_variable($site_prefix,"centre_menu","site");
  show("<textarea name=\"new_header_menu\" rows=\"8\" cols=\"55\">$centre_menu</textarea>");

  br(); br(); show(FOOTER.":");  br();
  $footer=get_variable($site_prefix,"footer","site");
  show("<textarea name=\"footer\" rows=\"8\" cols=\"55\">$footer</textarea>");


  echo "</div>";
  }




function show_email(){
  global $site_prefix;

  echo '<div class="box">';
  echo "<h2>".EMAIL."</h2>";



  echo "<table>";

  echo "<tr><td>".EMAIL." ".FROM.":</td><td>";
    show_text("text","from_email",30,get_variable($site_prefix,"from_email","site"));  echo "</td></tr>";

  echo "<tr><td>".SMTP_RETURN.":</td><td>";
    show_text("text","smtp_return",30,get_variable($site_prefix,"smtp_return","site"));  echo "</td></tr>";

  echo "<tr><td>".SMTP_SERVER.":</td><td>";
    show_text("text","smtp_server",30,get_variable($site_prefix,"smtp_server","site"));  echo "</td></tr>";

  echo "<tr><td>".LOGIN.":</td><td>";
    show_text("text","smtp_user",30,get_variable($site_prefix,"smtp_user","site"));  echo "</td></tr>";

  echo "<tr><td>".PASSWORD.":</td><td>";
    show_text("text","smtp_pass",30,get_variable($site_prefix,"smtp_pass","site"));  echo "</td></tr>";


  echo "</td></tr></table>";

  echo '</div>';
  }



function show_navigation(){
  global $site_prefix;

  echo '<div class="box">';
  echo "<h2>".NAVIGATION."</h2>";

  show_checkbox("force_www",get_variable($site_prefix,"force_www","site"));
  echo "".FORCE_WWW; br();

  show_checkbox("use_wysiwyg",get_variable($site_prefix,"wysiwyg","site"));
  echo "".USE_WYSIWYG; br();

  show_checkbox("use_captcha",get_variable($site_prefix,"use_captcha","site"));
  echo "".USE_CAPTCHA; br();

  show_checkbox("cats_list",get_variable($site_prefix,"cats_list","site"));
  echo "".SHOW_CATS_LIST;
  br(); br();


  echo "<table><tr><td>".OUTSTAND; 

  echo "</td><td>";

  $outstand=get_variable($site_prefix,"outstand","site");

  if($outstand==1) show("<input type=\"radio\" checked name=\"outstand\" value=\"articles\">");
    else show("<input type=\"radio\" name=\"outstand\" value=\"articles\">");
  show(ARTICLES); br();

  if($outstand==2) show("<input type=\"radio\" checked name=\"outstand\" value=\"pages\">");
    else show("<input type=\"radio\" name=\"outstand\" value=\"pages\">");
  show(PAGE_1); br();

  if($outstand==3) show("<input type=\"radio\" checked name=\"outstand\" value=\"classifieds\">");
    else show("<input type=\"radio\" name=\"outstand\" value=\"classifieds\">");
  show(CLASSIFIEDS);br();

  if($outstand==4) show("<input type=\"radio\" checked name=\"outstand\" value=\"products\">");
    else show("<input type=\"radio\" name=\"outstand\" value=\"products\">");
  show(PRODUCTS);br();

  if($outstand==5) show("<input type=\"radio\" checked name=\"outstand\" value=\"forum\">");
    else show("<input type=\"radio\" name=\"outstand\" value=\"forum\">");
  show(FORUM);br();

  if($outstand==6) show("<input type=\"radio\" checked name=\"outstand\" value=\"gallery\">");
    else show("<input type=\"radio\" name=\"outstand\" value=\"gallery\">");
  show(GALLERY);


  echo "</td></tr></table>";


  br();
  show(PUB_SITE.": ");
  show_text("text","pub_site",30,get_variable($site_prefix,"pub_url","site"));
  show(BLOCKS.": ");
  show_text("text","pub_adds",3,get_variable($site_prefix,"pub_adds","site"));


  echo '</div>';
  }


function show_forum(){
  global $site_prefix;

  echo '<div class="box">';
  echo "<h2>".FORUM."</h2>";

  show_checkbox("unregistered_forum",get_variable($site_prefix,"unregistered_forum","site"));
  show(UNREGISTERED_FORUM);
  br();
  show_checkbox("only_admin_reply",get_variable($site_prefix,"only_admin_reply","site"));
  show(ONLY_ADMIN_REPLY);
  br();

  echo '</div>';
  }


function show_articles(){
  global $prefix,$site_prefix;

  echo '<div class="box">';
  echo "<h2>".ARTICLES."</h2>";
  br();
  echo "<table><tr><td>".TOP_ARTICLES.": </td><td>";
  show_text("text","top_articles",3,get_variable($site_prefix,"top_articles","site"));

  echo "</td></tr><tr><td>".FIRST_PAGE_ARTICLES.": </td><td>";
  show_text("text","main_articles",3,get_variable($site_prefix,"main_articles","site"));

  echo "</td></tr><tr><td>".MAX_CATS.": </td><td>";
  show_text("text","max_categories",3,get_variable($site_prefix,"max_categories","site"));

  echo "</td></tr></table>";

  echo '</div>';
  }



function show_shop(){
  global $prefix,$site_prefix;

  echo '<div class="box">';
  echo "<h2>".SHOP."</h2>";
  br();
  echo "<table><tr><td>".MIN_CHECK.": </td><td>";
  show_text("text","min_check",5,get_variable($site_prefix,"min_check","site"));

  echo "</td></tr><tr><td>".NEXT_TIME_DISCOUNT.": </td><td>";
  show_text("text","next_time_discount",5,get_variable($site_prefix,"next_time_discount","site"));
  echo VALID.": "; show_text("text","time_discount",5,get_variable($site_prefix,"time_discount","site")); echo DAYS;

  echo "</td></tr><tr><td>".CURRENCY.": </td><td>";
  show_text("text","currency",5,get_variable($site_prefix,"currency","site"));

  echo "</td></tr><tr><td>".WAITING_ORDERS_WARN." (";
    show_text("text","waiting_orders_time",3,get_variable($site_prefix,"waiting_orders_time","site"));
  echo DAYS."): </td><td>";
  $warn = get_variable($site_prefix,"waiting_orders_warn","site");
  show("<textarea name=\"waiting_orders_warn\" rows=\"3\" cols=\"25\">$warn</textarea>");

  echo "</td></tr></table>";

  br();
  show_checkbox("send_gift",get_variable($site_prefix,"send_gift","site"));
  show(SEND_GIFT);

  echo '</div>';
  }



function show_users(){
  global $site_prefix;

  echo '<div class="box">';

  echo "<h2>".USERS."</h2>";

  show_checkbox("register_users",get_variable($site_prefix,"register_users","site"));
  show(REGISTER_USERS);br();

  show_checkbox("birth_date",get_variable($site_prefix,"birth_date","site"));
  show(BIRTH_DATE);br();

  show_checkbox("education",get_variable($site_prefix,"education","site"));
  show(EDUCATION);br();

  show_checkbox("cep",get_variable($site_prefix,"cep","site"));
  show(CEP);br();

  show_checkbox("local",get_variable($site_prefix,"local","site"));
  show(LOCAL);br();

  show_checkbox("tax_number",get_variable($site_prefix,"tax_number","site"));
  show(TAXID);br();

  show_checkbox("occupation",get_variable($site_prefix,"occupation","site"));
  show(OCCUPATION);br();

  show_checkbox("country",get_variable($site_prefix,"country","site"));
  show(COUNTRY);br();

  show_checkbox("diet",get_variable($site_prefix,"diet","site"));
  show(DIET); br(); br();

  show(UNREGISTERED_USER_DAYS.": ");  show_text("text","unregistered_user_days",5,get_variable($site_prefix,"unregistered_days","site")); br(); br();


  echo '</div>';

  }

/** Show form with current site settings **/
function show(){
  global $site_prefix,$prefix;

  $sw=get_variable($site_prefix,"vers","site"); // Get current software version

  echo "<h1>".SITE_SETTINGS."</h1>";
  echo "<b>Etiko ".SOFTWARE." ".VERSION." $sw</b>";

  begin_data_form();
  echo "<input type=\"hidden\" name=\"destin\" value=\"admin_site\"";

  br();
  $this->show_organisation();
  br();
  $this->show_site();
  br();
  $this->show_email();
  br();
  $this->show_navigation();
  br();
  $this->show_forum();
  br();
  $this->show_articles();
  br();
  $this->show_shop();
  br();
  $this->show_users();
  br();


  show(POLL_MAX_ANS);
  show_text("text","poll_max",3,get_variable($site_prefix,"poll_max","site"));

  br();br();

  end_form("send",SUBMIT);
  }



// Update current site settings
function update(){
  global $prefix,$site_name,$new_keywords,$counter,$start_date,$slogan,$site_prefix,$db,$footer,$top_articles,
    $main_articles,$max_categories,$outstand,$cats_list,$min_check,
    $birth_date,$education,$occupation,$country,$diet,$new_header_menu,$register_users,
    $new_associated_interest,$logo,$new_description,$poll_max,$new_style,$def_country,$force_www,$next_time_discount,$unregistered_user_days,$lang;

  include("./lib/classes/File.php");
  if($logo==true){
    $file = new File("logo",'./images/site'); // Upload file
    $logo=$file->getName();
    $old_logo=get_variable($site_prefix,"logo","site");
    mysql_query("UPDATE $site_prefix"."_site"." SET logo='$logo'");
    if($logo==true){ // Delete old logo
      @unlink("./images/site/".$old_logo);
      }
    }

  switch($outstand){
    case "articles":
      $outstand=1;
      break;
    case "pages":
      $outstand=2;
      break;
    case "classifieds":
      $outstand=3;
      break;
    case "products":
      $outstand=4;
      break;
    case "forum":
      $outstand=5;
      break;
    default: //  if($outstand=="gallery") 
       $outstand=6;
    }

  if($cats_list) $cats_list=1;
  if(isset($_POST['unregistered_forum'])) $unregistered_forum=1; else $unregistered_forum=0;
  if(isset($_POST['use_wysiwyg'])) $use_wysiwyg=1; else $use_wysiwyg=0;
  if(isset($_POST['use_captcha'])) $use_captcha=1; else $use_captcha=0;
  if($register_users) $register_users=1;
  if($birth_date) $birth_date=1;
  if($education) $education=1;
  if($occupation) $occupation=1;
  if($country) $country=1;
  if($diet) $diet=1;
  if($force_www==true) $force_www=1;
  if(isset($_POST['only_admin_reply'])) $only_admin_reply=1; else $only_admin_reply=0;
  if(isset($_POST['send_gift'])) $send_gift=1; else $send_gift=0;

  $cep = isset($_POST['cep']) ? 1 : 0;
  $local = isset($_POST['local']) ? 1 : 0;
  $tax_number = isset($_POST['tax_number']) ? 1 : 0;

  $add_header = addslashes($_POST['add_header']);

  $sql_query="UPDATE $site_prefix"."_site"." SET name='$site_name',start_date='$start_date',slogan='$slogan',
    keywords='$new_keywords',footer='$footer',top_articles='$top_articles',main_articles='$main_articles',wysiwyg='$use_wysiwyg',use_captcha='$use_captcha',
    max_categories='$max_categories',outstand='$outstand',cats_list='$cats_list',
    birth_date='$birth_date',education='$education',occupation='$occupation',country='$country',diet='$diet',
    centre_menu='$new_header_menu',register_users='$register_users',
    associated_interest='$new_associated_interest',description='$new_description',poll_max='$poll_max',
    min_check='$min_check',style='$new_style',default_country='$def_country',force_www='$force_www',
    next_time_discount='$next_time_discount',time_discount='$_POST[time_discount]',currency='$_POST[currency]',unregistered_days='$unregistered_user_days',
    add_header='$add_header',lang='$lang',unregistered_forum='$unregistered_forum',pub_url='$_POST[pub_site]',pub_adds='$_POST[pub_adds]',only_admin_reply='$only_admin_reply',send_gift='$send_gift',
     waiting_orders_warn='$_POST[waiting_orders_warn]',waiting_orders_time='$_POST[waiting_orders_time]',
   smtp_server='$_POST[smtp_server]',smtp_user='$_POST[smtp_user]',smtp_pass='$_POST[smtp_pass]',
   from_email='$_POST[from_email]',smtp_return='$_POST[smtp_return]',
   cep='$cep',local='$local',tax_number='$tax_number'";


  if($counter) $sql_query="$sql_query,counter='$counter'";
  $result=mysql_query($sql_query,$db);

  $sql_query="UPDATE $prefix"."_organisation SET name='$_POST[org_name]',address='$_POST[org_address]',comments='$_POST[org_comments]' ";
  $result=mysql_query($sql_query,$db);

  }



}

?>