<?php
/***************************************************************************
                          Etiko software
                             -------------------
    developement         : 2001-200x by Etikweb
    email                : webmaster@etikweb.com
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

require_once("./lib/specific/files.php");
require_once("./lib/tables.php");

// Show form
function show_file_form($path){
  global $prefix,$op;

  begin_data_form();

  echo "<input type=\"hidden\" name=\"destin\" value=\"admin\">";
  echo "<input type=\"hidden\" name=\"op\" value=\"files\">";

  echo "<input type=\"hidden\" name=\"op2\" value=\"upload\">";
  echo "<input type=\"hidden\" name=\"path\" value=\"$path\">";

  br(); show(MAKE_DIRECTORY.": ");  show_text("text","new_directory",20,"");
  br();
  br();
  show(FILES_TO_UPLOAD.": ");  br();

  echo "<input type=\"file\" name=\"file_1\"><br>";
  echo "<input type=\"file\" name=\"file_2\"><br>";
  echo "<input type=\"file\" name=\"file_3\"><br>";
  end_form("send",SUBMIT);
  }


// show one line of the table with the characteristics of a file
function show_file($image,$name,$size,$delete){

  begin_row();
  begin_cell("65%",0,"","top");
  show_image($image,"");

  echo "&nbsp;&nbsp; $name"; // Link to directory above
  end_cell();

  begin_cell("15%",0,"","top");
  echo "$size"; // Link to directory above
  end_cell();

  begin_cell("20%",0,"","top");
  echo "$delete"; // Link to directory above
  end_cell();
  end_row();
  }


// Show the list of files in a current directory
function show_file_list($path){
  global $bg_color;

  $total_size = dirsize("$path"); // get the total size of all files in the directory including any sub directorys

  br();  br();
  echo "<b>".DIRECTORY."</b> $path"; 
  br();  br();
  echo "<b>".USED_SPACE.": </b> $total_size Kb ";
  br();  br();


  begin_table(0,"100%",0,0);

  show_file("./images/site/arrowicon.gif","<a href=\"./index.php?destin=admin&amp;op=files&amp;op2=back&amp;path=$path\">
    &nbsp;&laquo;".BACK."</a>",0,"");

  // build the table rows which contain the file information
  $newpath = substr($path, 0, -1);   // remove the forward or backwards slash from the path
  $dir = @opendir($newpath); // open the directory

  while($file = readdir($dir)){ // loop once for each name in the directory

    if($file == "." || $file == ".." ) continue;

    $file_data = stat($path.$file); // get some info about the file

    // if it is a directory change the file name to a directory link
    if(is_dir($path.$file)){
      $new_path="$path"."$file";
      $file_name = "<a href=\"index.php?destin=admin&amp;op=files&amp;op2=cd&amp;path=$new_path/\">$file</a>";
      $file_icon = "./images/site/foldericon.gif";
      $delete_link="<a href=\"index.php?destin=admin&amp;op=files&amp;op2=delete&amp;path=$path&amp;file=$file\">".DEL."</a>";
      }else{
      $file_name = "$path"."$file";
      $file_icon = "./images/site/fileicon.gif";
      $delete_link = "<a href=\"index.php?destin=admin&amp;op=files&amp;op2=delete&amp;file=$file&amp;path=$path\">".DEL."</a>";
      }

    echo "</td></tr><tr> <td height=\"1\" bgcolor=\"#000000\">
    <td height=\"1\" bgcolor=\"#000000\">
    <td height=\"1\" bgcolor=\"#000000\"></td></tr>";

    $file_data[7]=ceil($file_data[7]/1000);
    show_file($file_icon,$file_name,"$file_data[7] Kb","$delete_link");
    }

  closedir($dir); // now that all the rows have been built close the directory
  echo "</table>";
  }



// calculate the size of files in $dir, in Kb
function dirsize($dir){

  $dh = opendir($dir);
  $size = 0;
  while (($file = readdir($dh)) !== false){
    if ($file != "." and $file != ".."){
      $path = $dir."/".$file;
      if (is_dir($path)){
        $size += ceil(dirsize("$path/")/1000);
        }
        elseif (is_file($path)){
          $size += ceil(filesize($path)/1000);
          }
        }
      }
  closedir($dh);
  return $size;
  }



// File manager
function change_files($user_id){
  global $confirm,$op2,$file,$path,$site_prefix	;

  if(get_variable_cond($site_prefix,"files","admin","user_id",$user_id)==false) die(UNAVAILABLE_OPTION);

  if($path==false) // Site can be used to store articles, products, tables, pages, etc.
    switch(get_variable($site_prefix,"outstand","site")){
      case 3:
        $path="./images/";
	break;
      case 4:
        $path="./images/";
	break;
      default:
        $path="./images/";
	break;
	}

  switch($op2){
    case "upload":
      upload_files($path);
      break;
    case "back":
      if($path=="./") continue;
      $path = substr($path, 0, -1);
      $slashpos = strrpos($path, "/");
      if($slashpos == 0)$path = ".";    else $path = substr($path, 0, ($slashpos+1));
      break;

    case "delete":
      if($confirm==false){
        show(DEL." $file?"); br();
        show_url("./index.php?destin=admin&amp;op=files&amp;op2=delete&amp;confirm=1&amp;path=$path&amp;file=$file",YES); br();
        show_url("./index.php?destin=admin&amp;op=files&amp;path=$path",NO);
        return;
      }else{
        delete_file($path,$file);
      }
      break;
    }

  show_file_form($path);
  show_file_list($path);
  }





?>
