<?php
/***************************************************************************
                          Etiko software
                             -------------------
    developement         : 2001-200x by galaxia-alfa team
    email                : webmaster@etikweb.com
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

// Title is below
//* Calendrio do Centro Vegetariano


/* DEALING WITH RECURRENCE -------------------------------

-1 - no recurrence

0 ... 6 - week recurrence

11 ... 41 - 10+day month recurrence

101 ... 1231 - month_day year recurrence

10 010 ... 10 056 - 1 week / day recurrence (10 000 + week*10 + day)

----------------------------------------------------------*/


global $language;
include("./util/lang/$language");




function parse_op(){
  global $site_prefix;


  if(isset($_POST['year'])) $year = $_POST['year'];
     else if(isset($_GET['year'])) $year = $_GET['year'];
       else $year=date("Y");

  if(isset($_POST['month'])) $month = $_POST['month'];
     else if(isset($_GET['month'])) $month = $_GET['month'];
       else $month=date("m");

  if(isset($_POST['day'])) $day = $_POST['day'];
     else if(isset($_GET['day'])) $day = $_GET['day'];
       else $day=false;

  if($year<1970 || $year>2037 || $month<1  || $month>12 ){
    echo INVALID_DATE; br();
    return;
    }


  include("./util/classes/Calendar.php");
  $cal = new Calendar($year,$month,$day);


  if(isset($_POST['op'])) $op = $_POST['op'];
     else if(isset($_GET['op'])) $op = $_GET['op'];
       else $op=false;

  if(isset($_POST['event_id'])) $event_id = $_POST['event_id'];
     else if(isset($_GET['event_id'])) $event_id = $_GET['event_id'];
         else $event_id=false;

  switch($op){
    case "add":
//echo "-------------------------ADD-----------";
      include("./util/classes/CalendarEvent.php");
      $event = new Event();
      $event->showForm();
      break;
    case "new":
//echo "-------------------------ADD-----------";
      include("./util/classes/CalendarEvent.php");
      $event = new Event();
      $event->insert();
      $event->showForm();
      break;
    case "update":
      include("./util/classes/CalendarEvent.php");
      if(isset($_POST['event_id'])) $event_id = $_POST['event_id'];
       else if(isset($_GET['event_id'])) $event_id = $_GET['event_id'];
         else $event_id=false;
      $event = new Event($event_id);
      $event->update();
      $event->showForm();
      break;
    case "edit":
      include("./util/classes/CalendarEvent.php");
      $event = new Event($event_id);
      $event->showForm();
      break;
    case "delete":

    case "delete":
      if(isset($_GET['confirm'])){
        include("./util/classes/CalendarEvent.php");
        $event = new Event($event_id);
        $event->del();
        echo DELETED; br();
        show_url("./index.php?destin=cal",SUCCESS);
        }else{
        $name=get_variable_cond($site_prefix,"name","events","id",$event_id);
        show(DEL." $name?"); br(); br();
        show_url("./index.php?destin=cal&amp;op=delete&amp;confirm=1&amp;event_id=$event_id",YES);
        br();
        show_url("./index.php?destin=cal",NO);
        }
    break;


      break;

    default:
      if($event_id==true){
        include("./util/classes/CalendarEvent.php");
        $event = new Event($event_id);
        $event->show();
        return;
        }

      $cal->show();
    }



/*


    case "new":
      $event_id=insert_event($logged_user_id,$event_id,$year,$month,$day,$hour,$minute,$name,$body,$repeat,$reminder);
      show_event_form($logged_user_id,$event_id,$year,$month,$day);
      break;
    case "delete":
      if($confirm==false){
        $name=get_variable_cond($site_prefix,"name","events","id",$event_id);
        show(DEL." $name ($event_id)?"); br();
        show_url("./index.php?destin=cal&amp;op=delete&amp;confirm=1&amp;event_id=$event_id",YES); br();
        show_url("./index.php?destin=cal",NO);
        return;
        }else{
        $user_id=get_variable_cond($site_prefix,"user_id","events","id",$event_id);
        if(is_admin($logged_user_id)==false && $logged_user_id!=$user_id) return;
        mysql_query("DELETE FROM $site_prefix"."_events WHERE id=$event_id");
        $event_id="";
        mail_administrators(EVENT_DELETED." $event_id","$site_url/index.php?destin=cal&amp;event_id=$event_id","","");

        } // Don't break here

    default:
*/

  }


parse_op();


?>
