<?php
/**************************************************************************
                          Etiko software
                             -------------------
    developement         : 2001-200x by galaxia-alfa team
    email                : webmaster@etikweb.com
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/



/* DEALING WITH RECURRENCE -------------------------------

-1 - no recurrence

0 ... 6 - week recurrence

11 ... 41 - 10+day month recurrence

101 ... 1231 - month_day year recurrence

10 010 ... 10 056 - 1 week / day recurrence (10 000 + week*10 + day)

----------------------------------------------------------*/



class Calendar{

  var $year,$month,$day;

  /** Constructor **/
  function Calendar($year=false,$month=false,$day=false){

    $this->year=$year;
    $this->month=$month;
    $this->day=$day;
    }




/** Show day abstract *****************************/
 function showCalendarDay($day){
  global $site_prefix,$db,$logged_user_id;

  echo "<small>";
  show_url_title("./index.php?destin=cal&amp;op=show_day&amp;year=$this->year&amp;month=$this->month&amp;day=$day",SHOW_DAY,"<b>$day</b>"); br();

  $result=$this->getDayEvents($day);
  while( (list($id,$name,$body,$date,$user_id)=mysql_fetch_row($result))==true){
    $minute=substr($date,-2); //%100;
    $date/=100;
    $hour=$date%100;
    echo "<i><b>$hour:$minute</b></i> - ";
    show_url_title("./index.php?destin=cal&amp;event_id=$id",SEE_EVENT,$name);
 
    if(is_admin($logged_user_id)==true || $logged_user_id==$user_id){
      echo " - ";
      show_url_title("./index.php?destin=cal&amp;op=edit&amp;event_id=$id",EDIT,EDIT);
      echo " - ";
      show_url_title("./index.php?destin=cal&amp;op=delete&amp;event_id=$id",DEL,DEL);
      }
    br();
    }
  echo "</small>";
  }


/** Return array with events for given day **/
 function getDayEvents($day){
  global $site_prefix,$db;

//  echo "---$this->year; $this->month; $day----";

  $month=str_pad($this->month,2,"0",STR_PAD_LEFT);
  $day=str_pad($day,2,"0",STR_PAD_LEFT);
//echo "******$month*****";

  $date="$this->year"."$month"."$day"."0000";
  $next_day=str_pad($day+1,2,"0",STR_PAD_LEFT);
  $next_day="$this->year"."$month"."$next_day"."0000";

  $timestamp=strtotime("$this->year-$this->month-$day");
  $day_of_week=date("w",$timestamp); // Recurr weekly

  $rep_day=$day+10; // Recurr monthly

  $m=str_pad($this->month,2,"0",STR_PAD_LEFT);
  $d=str_pad($day,2,"0",STR_PAD_LEFT);
  $dt="$m"."$d"; // Recurr yearly

  $month_week=(int)(($day-1)/7)+1;
  $rep=10000+$month_week*10+$day_of_week;

  $sql_query="SELECT id,name,body,date,user_id FROM $site_prefix".
       "_events WHERE (date>='$date' AND date<'$next_day') OR  recurr='$day_of_week' OR recurr='$rep_day' OR recurr='$dt' OR recurr='$rep' ORDER BY date ASC";
  $r=mysql_query($sql_query,$db);

  $re=mysql_num_rows($r);
//  echo "$sql_query-$re:::::--$rep---week=$day_of_week..rep=$rep_day----dt=$dt-----";

  return $r;
  }



/** Show month events **/
 function showMonth(){
//  global $short_day;

  $short_day = array('Dom','Seg','Ter','Qua','Qui','Sex','Sb');
  $months = array('Janeiro','Fevereiro','Maro','Abril','Maio','Junho','Julho',
                  'Agosto','Setembro','Outubro','Novembro','Dezembro');

  $timestamp=strtotime("$this->year-$this->month-01");
  $day_of_week=date("w",$timestamp); // First week day of the month
  $days=date("t",$timestamp); // Month number of days
  $m=$this->month-1; show_bold("$months[$m] $this->year"); br();br();

  begin_form();
  show_bold(mONTH.": ");
  echo "<input type=\"hidden\" name=\"destin\" value=\"cal\">";
  echo "\n<select name=\"month\" OnChange='submit()'>\n";
  for($j=0;$j<12;$j++){
    $m=$j+1;
    if($m==$this->month) echo "<option selected value=\"$m\">$months[$j]</option>\n";
      else echo "<option value=\"$m\">$months[$j]</option>\n";
    }

  echo "&nbsp;&nbsp;&nbsp;
</select>
".YEAR.":
\n<select name=\"year\" OnChange='submit()'>\n";
  $y=date("Y");
  for($j=$y;$j<2039;$j++){
    if($this->year==$j) echo "<option selected value=\"$j\">$j</option>\n";
      else echo "<option value=\"$j\">$j</option>\n";
    }

  echo "</select></form>";

  echo "
<table style=\"width: 100%; text-align: left;\" border=\"1\" cellpadding=\"1\"
cellspacing=\"0\">
<tbody>
<tr>
";
  for($j=0;$j<7;$j++) echo "<td><b>$short_day[$j]</b></td>"; // Header

  echo "</tr>\n<tr>"; // New row

  for($j=0;$j<$day_of_week;$j++) echo "<td>-</td>"; // Empty days

  for($day=1;$day<=$days;$day++){
     echo "<td>";
     $this->showCalendarDay($day);
     echo "</td>"; // show current day
     if(($day+$day_of_week)%7==0)
       echo "</tr>\n<tr>"; // New row
     }

  for(;($day+$day_of_week)%7!=0;$day++){
     echo "<td>-</td>"; // show current day
     }


  echo "
<td>--</td>
</tr>
</tbody>
</table>
";
  br();
  br();
  show_url_title("./index.php?destin=cal&amp;print=1&amp;year=$this->year&amp;month=$this->month&amp;day=$this->day",PRINT_VERSION,PRINT_);

  br();
  }


/** Show events of a day **/
 function showDay(){
  global $site_url,$prefix,$logged_user_id;

//$uid,$year,$month,$day
  echo "<h1>".DAY_CALENDAR."</h1>";

  echo "<b>".DAY.":</b> $this->year.$this->month.$this->day"; br(); br();

  show_url_title("./index.php?destin=cal&amp;op=add&amp;year=$this->year&amp;month=$this->month&amp;day=$this->day",ADD_EVENT,ADD_EVENT);// echo " - "; 
  br();
  show_url_title("./index.php?destin=cal&amp;year=$this->year&amp;month=$this->month",BACK_TO_CAL,BACK_TO_CAL);

  br(); br();

  echo "<h5>".ACTIVITIES."</h5>";

  $result=$this->getDayEvents($this->day);

  while( (list($id,$name,$body,$date,$user_id)=mysql_fetch_row($result))==true){
    $minute=substr($date,-2); //%100;
//echo "***----$minuto++++";
    $date/=100;
    $hour=$date%100;
    echo "$hour:$minute ";
    if($name==false) $name=$id;
    show_bold($name); br();
    echo "<blockquote>";
    output_text($body);
    br();
    if(is_user($user_id)==true){
      $user_name=get_variable_cond($prefix,"user_name","users","id",$user_id);
      echo "<small>".BY.": "; show_url_title("./index.php?destin=submit&amp;op=user&amp;user_id=$user_id&amp;subject=$name",MESSAGE_TO_USER,$user_name);
      echo "</small>";
      }

    if(is_admin($logged_user_id)==true || $logged_user_id==$user_id){
      br();
      show_url_title("./index.php?destin=cal&amp;op=edit&amp;event_id=$id",EDIT,EDIT);
      echo " - ";
      show_url_title("./index.php?destin=cal&amp;op=delete&amp;event_id=$id",DEL,DEL);
      }
    echo "</blockquote>";
    }

  br(); br();
  show_url_title("./index.php?destin=cal&amp;print=1&amp;year=$this->year&amp;month=$this->month&amp;day=$this->day",PRINT_VERSION,PRINT_);
//  echo " - ";
//  show_url_title("./index.php?destin=submit&amp;user_id=-1&amp;subject=".VEGETARIAN_CALENDAR."&amp;comments=$site_url/index.php?destin=cal\&op=show_day&amp;year=$year&amp;month=$month&amp;day=$day",SEND_FRIEND,SEND);
  br(); br();

  }



  /** Method to show calendar events **/
   function show(){

    echo "<h1>".CALENDAR."</h1>"; br();
    echo CALENDAR_MESSAGE;

    if($this->day==true){
      $this->showDay();
      return;
      }
    if($this->month==false){
      echo INVALID_DATE;
      return;
      }
    $this->showMonth();

    }

  }

?>
