<?php
/**************************************************************************
                          Etiko software
                             -------------------
    developement         : 2001-200x by galaxia-alfa team
    email                : webmaster@etikweb.com
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/



/* DEALING WITH RECURRENCE -------------------------------

-1 - no recurrence

0 ... 6 - week recurrence

11 ... 41 - 10+day month recurrence

101 ... 1231 - month_day year recurrence

10 010 ... 10 056 - 1 week / day recurrence (10 000 + week*10 + day)

----------------------------------------------------------*/



class Event{

  var $id;

  /** Constructor **/
   function Event($id=false){

    $this->id=$id;
    }


/** Show form for new event **/
 function showForm(){
  global $site_prefix,$logged_user_id;

  $long_day = array('Domingo','Segunda','Tera','Quarta','Quinta','Sexta','Sbado');


  echo "<h1>".ADD_EVENT."</h1>";
  br();

  if(is_user($logged_user_id)==false){
    echo "<i>".NOT_LOGGED."</i>"; br(); br();
    }

  begin_form();
  echo "<input type=\"hidden\" name=\"destin\" value=\"cal\">";

  if($this->id==true){
    echo "<input type=\"hidden\" name=\"event_id\" value=\"$this->id\">";
    echo "<input type=\"hidden\" name=\"op\" value=\"update\">";

    $name=get_variable_cond($site_prefix,"name","events","id",$this->id);
    $body=get_variable_cond($site_prefix,"body","events","id",$this->id);
    $reminder=convert_date(get_variable_cond($site_prefix,"reminder","events","id",$this->id));
    $date=get_variable_cond($site_prefix,"date","events","id",$this->id);
    $repeat=get_variable_cond($site_prefix,"recurr","events","id",$this->id);

    $minute=substr($date,-2); //%100;
    $date/=100;
    $hour=$date%100;
    $date/=100;
    $day=$date%100;
    $date/=100;
    $month=$date%100;
    $date/=100;
    $year=(int)$date;
//    $hour="$hour:$minute";
    echo EDITING_EVENT." <i>$name</i> ($this->id)"; br();br();
    } else {
    if(isset($_POST['year'])) $year = $_POST['year'];
      else if(isset($_GET['year'])) $year = $_GET['year'];
        else $year=date("Y");

    if(isset($_POST['month'])) $month = $_POST['month'];
       else if(isset($_GET['month'])) $month = $_GET['month'];
         else $month=date("m");

    if(isset($_POST['day'])) $day = $_POST['day'];
       else if(isset($_GET['day'])) $day = $_GET['day'];
         else $day=false;

    echo "<input type=\"hidden\" name=\"op\" value=\"new\">";

    if(isset($_POST['name'])) $name=$_POST['name']; else $name="";
    if(isset($_POST['body'])) $body=$_POST['body']; else $body="";
    if(isset($_POST['hour'])) $hour=$_POST['hour']; else $hour="";
    if(isset($_POST['minute'])) $minute=$_POST['minute']; else $minute="";
    if(isset($_POST['reminder'])) $reminder=$_POST['reminder']; else $reminder="";
    if(isset($_POST['repeat'])) $repeat=$_POST['repeat']; else $repeat="";
    }


  echo "<input type=\"hidden\" name=\"year\" value=\"$year\">";
  echo "<input type=\"hidden\" name=\"month\" value=\"$month\">";
  echo "<input type=\"hidden\" name=\"day\" value=\"$day\">";

  show_url_title("./index.php?destin=cal&amp;year=$year&amp;month=$month&amp;day=$day",BACK_TO_CAL,BACK);
  br(); br();


  br();   show_bold(NAME.": ");
  show_text("text","name",20,$name);

  br();  show_bold(EVENT_DATE.":"); echo " $year.$month.$day";

  br();   show_bold(HOUR.": ");
//  show_text("text","hour",5,$hour);

  echo "\n<select name=\"hour\">\n";
  for($j=0;$j<24;$j++)
    if($j==$hour) echo "<option selected value=\"$j\">$j</option>\n";
      else echo "<option value=\"$j\">$j</option>\n";
  echo "</select>:";
  echo "\n<select name=\"minute\">\n";
  for($j=0;$j<60;$j++)
    if($j==$minute) echo "<option selected value=\"$j\">$j</option>\n";
      else echo "<option value=\"$j\">$j</option>\n";
  echo "</select>";
  br();



  show_bold(REPEAT.": ");
  echo "\n<select name=\"repeat\">\n";
  if($repeat==-1) echo "<option selected value=\"-1\">".ONCE."</option>\n";
      else echo "<option value=\"-1\">".ONCE."</option>\n";

  $timestamp=strtotime("$year-$month-$day");
  $day_of_week=date("w",$timestamp); // First week day of the month
  if($repeat==$day_of_week) echo "<option selected value=\"$day_of_week\">".EVERY_WEEK."</option>\n";
      else echo "<option value=\"$day_of_week\">".EVERY_WEEK."</option>\n";

  $rep_day=$day+10;
  if($repeat==$rep_day) 
      echo "<option selected value=\"$rep_day\">".EVERY_MONTH.", ".dAY." $day</option>\n";
      else echo "<option value=\"$rep_day\">".EVERY_MONTH.", ".dAY." $day</option>\n";

  $m=str_pad($month,2,"0",STR_PAD_LEFT);
  $d=str_pad($day,2,"0",STR_PAD_LEFT);

  $month_week=(int)(($day-1)/7)+1;
  $rep_day=10000+$month_week*10+$day_of_week;
  if($repeat==$rep_day)
      echo "<option selected value=\"$rep_day\">".EVERY_MONTH.", $month_week"." $long_day[$day_of_week]</option>\n";
      else 
      echo "<option value=\"$rep_day\">".EVERY_MONTH.", $month_week"." $long_day[$day_of_week]</option>\n";

  $dt="$m"."$d";
  if($repeat==$dt) echo "<option selected value=\"$dt\">".EVERY_YEAR."</option>\n";
      else echo "<option value=\"$dt\">".EVERY_YEAR."</option>\n";

  echo "</select>"; br();br();

  show(SEND_REMINDER.": ");
  show_text("text","reminder",20,$reminder);

/*  if($reminder==true)
      echo "<input type=\"checkbox\" name=\"reminder\" checked>";
      else echo "<input type=\"checkbox\" name=\"reminder\">";
*/
 br();

  br();  show_bold(DESCRIPTION.":");  br();
  show("<textarea name=\"body\" rows=\"8\" cols=\"55\">$body</textarea>");
  br(); br();

  if(!is_user($logged_user_id)){
    echo "<div class=\"box\">";
    $cap=new Captcha();
    echo CAPTCHA_NEEDED; br();
    echo $cap->getOp1() . ' ' . $cap->getOp() . ' ' . $cap->getOp2() .
           ' = ';
    show_text("text","captcha",5,"");
    $_SESSION['captcha']=$cap->getSolution();
//    session_register("captcha","$xx");
//    echo "SOLUTION: $xx " ;
    echo '</div>';
    }


  end_form("send",SUBMIT);
  }






/** Insert new event into DB **/
 function insert(){
  global $site_prefix,$db,$logged_user_id,$site_url;


  if(!is_user($logged_user_id)){

    $code=$_SESSION['captcha'];
    if( !isset($_POST['captcha']) ||  $_POST['captcha']!=$code){
      echo WRONG_CAPTCHA; br();
//       $this->showForm();
      return;
      }
    }


  $month=str_pad($_POST['month'],2,"0",STR_PAD_LEFT);
  $day=str_pad($_POST['day'],2,"0",STR_PAD_LEFT);

  $hour=str_pad($_POST['hour'],2,"0",STR_PAD_LEFT);
  $minute=str_pad($_POST['minute'],2,"0",STR_PAD_LEFT);

  $insert_date="$_POST[year]"."$month"."$day"."$hour"."$minute";


  $result=mysql_query("LOCK TABLE $site_prefix"."_events WRITE ");
  $sql_query="INSERT INTO $site_prefix"."_events (id,user_id,date)
    VALUES (NULL,'$logged_user_id','$insert_date')";

  mysql_query($sql_query,$db);
  $result=mysql_query("SELECT MAX(id) FROM $site_prefix"."_events");
  $this->id=mysql_result($result,0);

  $result=mysql_query("UNLOCK TABLES ");

  $this->update();

  $msg="

$_POST[body]

$site_url/index.php?destin=cal&amp;event_id=$this->id
User id: $logged_user_id";


  mail_administrators(NEW_EVENT." $_POST[name] ($this->id)",$msg,"","");
  }

/** Update event in database **/
 function update(){
  global $site_prefix,$db,$logged_user_id;

  if(!is_user($logged_user_id)){

    $code=$_SESSION['captcha'];
    if( !isset($_POST['captcha']) ||  $_POST['captcha']!=$code){
      echo WRONG_CAPTCHA; br();
//       $this->showForm();
      return;
      }
    }


  $month=str_pad($_POST['month'],2,"0",STR_PAD_LEFT);
  $day=str_pad($_POST['day'],2,"0",STR_PAD_LEFT);


/*  if(is_numeric($h[0])==false || $h[0]<0 || $h[0]>23 || is_numeric($h[1])==false || $h[1]<0 || $h[1]>60){
    echo INVALID_HOUR.": $hour";
    return false;
    }*/
  $hour=str_pad($_POST['hour'],2,"0",STR_PAD_LEFT);
  $minute=str_pad($_POST['minute'],2,"0",STR_PAD_LEFT);

  $insert_date="$_POST[year]"."$month"."$day"."$hour"."$minute";

  if($_POST['reminder']==false){
    $reminder=0;
    }else{
    $reminder=unconvert_date($_POST['reminder']);
//    echo "--------------------$reminder---------------------------------";
    }

  $sql_query="UPDATE $site_prefix"."_events SET date='$insert_date',name='$_POST[name]',body='$_POST[body]',recurr='$_POST[repeat]',reminder='$reminder' WHERE id='$this->id'";

//$x=$h[0];
//echo "------------$x----$h[0]..$h[1]-------$sql_query------------";

  mysql_query($sql_query,$db);
  }



/** Show event **/
 function show(){
  global $site_prefix,$db,$logged_user_id,$site_url,$prefix;

  $sql_query="SELECT id,name,body,date,user_id FROM $site_prefix".
       "_events WHERE id='$this->id'";
  $result=mysql_query($sql_query,$db);
  if(mysql_num_rows($result)<1) echo NO_EVENT;

  list($id,$name,$body,$date,$user_id)=mysql_fetch_row($result);

  $d = convert_date_time($date);

//  $minute=substr($date,-2); //%100;
  $date=round($date/100);
  $hour=$date%100;
  $date=round($date/100);
  $day=$date%100;
  $date=round($date/100);
  $month=$date%100;
  $date=round($date/100);
  $year=$date;


  show_bold(DATE.": ");
  show_url("./index.php?destin=cal&amp;year=$year&amp;month=$month&amp;day=$day","$d "); br(); br();

  if($name==false) $name=$id;
    show_bold($name); br();
    echo "<blockquote>";
    output_text($body);
    br();
    if(is_user($user_id)==true){
      $user_name=get_variable_cond($prefix,"user_name","users","id",$user_id);
      echo "<small>".BY.": "; show_url_title("./index.php?destin=submit&amp;op=user&amp;user_id=$user_id&amp;subject=$name",MESSAGE_TO_USER,$user_name);
      echo "</small>";
      }

    if(is_admin($logged_user_id)==true || $logged_user_id==$user_id){
      br();
      show_url_title("./index.php?destin=cal&amp;op=edit&amp;event_id=$id",EDIT,EDIT);
      echo " - ";
      show_url_title("./index.php?destin=cal&amp;op=delete&amp;event_id=$id",DEL,DEL);
      }
    echo "</blockquote>";
    

  br(); br();
  show_url_title("./index.php?destin=cal&amp;print=1&amp;event_id=$this->id",PRINT_VERSION,PRINT_);
  echo " - ";
  show_url_title("./index.php?destin=submit&amp;subject=$name&amp;comments=$site_url/index.php?event_id=$this->id",SEND_FRIEND,SEND);


}


/** Method to delete event **/
 function del(){
  global $site_prefix;

  mysql_query("DELETE FROM $site_prefix"."_events WHERE id='$this->id'");
  }





}



?>
