<?php
/***************************************************************************
                          Etiko software
                             -------------------
    developement         : 2001-200x by Etikweb
    email                : webmaster@etikweb.com
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

include_once("./lib/forms.php");

// Title is below
//* Lista de Restaurantes Vegetarianos

define("CVS_FILE","Descarregar ficheiro CSV");

define("RESTAURANT_LIST","Lista de Restaurantes Centro Vegetariano/EVU");
define("RESTAURANTS","Restaurantes Vegetarianos");
define("ORDER_BY_CODE","Ordenar por cdigo postal");

define("TELL_ABOUT_RESTAURANT_LIST","Enviar endereo desta lista");

define("ONLY_CITY","Ver restaurantes da Cidade");
define("ALL_THE_COUNTRY","Todo o pas");


define("RESTAURANT_NOTE","<b>Nota</b>: Esta lista  actualizada praticamente todas as semanas, e periodicamente todos os restaurantes so contactados. No entanto, o Centro Vegetariano no pode garantir a ausncia de erros ou omisses.<br />Ajude a manter este servio, <a href=\"http://www.centrovegetariano.org/Page-14-S%F3cios.html\">colaborando com o Centro Vegetariano</a>.");

/** Create csv file **/
function show_city_select(){

  echo "<h1>".RESTAURANT_LIST." </h1>";

  br();
  echo RESTAURANT_NOTE;
  br();
  br();
  
  $file="http://www.european-vegetarian.org/lists/gastronomy/get.php?t=24&order=location&filter=country='PT'&lang=pt";

  $lines=file($file);

  $array=array();
  foreach($lines as $line) 
     if(in_table($array,$line)==false) array_push($array,"$line");

  array_shift($array);

//   echo "<table border=\"0\">
// <tr><td>";
//   show_bold(ONLY_CITY.":</td><td>"); br();
  show_bold(ONLY_CITY.":"); br();

  foreach($array as $line){ //echo "$line";
    $line=trim($line);

    $uline=encode_string($line);

    echo "&nbsp;&nbsp;&nbsp;<a href=\"./Restaurantes-$uline.html\">$line</a>"; br();
    }

//   echo "</td></tr>
// </table>";

  br();
  echo "[<a href=\"./Restaurantes-Portugal.html\">".ALL_THE_COUNTRY."</a> | <a href=\"./index.php?destin=restaurantes&amp;op=csv\">".CVS_FILE."</a>]"; br(); br();

  }


/** Returns true if the $line is in the table **/
function in_table($table,$line){

  foreach($table as $entry)
    if($entry==$line) return true;
  return false;
  }

/** Select box for the cities **/
function show_csv_file(){

  echo "<h1>".RESTAURANT_LIST." </h1>";

  $file="http://www.euroveg.eu/lists/gastronomy/get.php?t=26&order=location&filter=country='PT'&lang=pt";
  $lines=file_get_contents($file);

  $f = fopen("./downloads/restaurantes.csv","w");

  fwrite($f,NAME." ; ".ADDRESS." ; ".POSTAL_CODE." ; ".CITY." ; ".EMAIL);
  fwrite($f,$lines);

  fclose($f);
  br();  br();
  echo "[<a href=\"./downloads/restaurantes.csv\">".DOWNLOAD."</a> ]"; br();
  }

function show_list($order,$city){
  global $site_url;

  echo "<h1>".RESTAURANTS." - $city </h1>";

  $file="http://www.european-vegetarian.org/lists/gastronomy/get.php?t=21&order=$order&filter=country='PT'&lang=pt";

  if($city!='Portugal'){
     $city=str_replace(" ","+",$city);
     $file.="&filter=location='$city'";
     }

  $lines=file($file);

  foreach($lines as $line){
     echo $line;
     }

  br(); br();

  show_back_link(BACK);
  echo " - ";
  show_url_title("./index.php?destin=restaurantes&amp;print=1&amp;city=$city",PRINT_VERSION,PRINT_);
  echo " - ";
  show_url_title("./index.php?destin=submit&amp;user_id=-1&amp;subject=".RESTAURANT_LIST."&amp;comments=$site_url/Restaurantes.html",SEND_FRIEND,SEND);

  br(); br();  br(); br();
  }




function show_restaurant($id){
  global $site_url,$logged_user_id;

  echo "<h1>".RESTAURANT_LIST." </h1>";

//  show_url_title("./index.php?destin=restaurants",BACK,BACK);
  br();

  $file = "http://www.european-vegetarian.org/lists/gastronomy/get.php?t=22&&filter=address_id='$id'&lang=pt";

  $lines=file($file);

  foreach($lines as $line){
     echo $line;
     }

// Detalhes:
// template 16 para fotos
//<a href="/{language}/restaurants/rdetail.php?address_id={address_id}">
//http://www.european-vegetarian.org/lists/gastronomy/get.php?t=2&order=country,fullname,region&filter=address_id='576'

  br(); br();

  show_back_link(BACK);
  echo " - ";
  show_url_title("./index.php?destin=restaurantes&amp;op=comment&amp;address_id=$id","Comentar ou classificar este restaurante","Classificar");
  echo " - ";
  show_url_title("./index.php?destin=restaurantes&amp;print=1&amp;address_id=$id",PRINT_VERSION,PRINT_);
  echo " - ";
  show_url_title("./index.php?destin=submit&amp;subject=Corrigir restaurante $id","Enviar mensagem com correces","Corrigir dados");
  echo " - ";
  show_url_title("./index.php?destin=submit&amp;user_id=-1&amp;subject=".RESTAURANT_LIST."&amp;comments=$site_url/index.php?destin=restaurantes",SEND_FRIEND,SEND);

  if(is_admin($logged_user_id)==true){
    echo " - ";
    show_url_title("
http://www.european-vegetarian.org/lists/gastronomy/secret133/newrestaurant.php?forupdate=1&amp;address_id=$id",EDIT,EDIT);
    }
  br(); br();
  br(); br();


  }


function comment(){


echo "
<table align='center' border='3'><tr><td>
<form NAME=\"Avaliao de Restaurantes\" METHOD=\"POST\" ACTION=\"http://www.euroveg.eu/lists/gastronomy/rating_add.php\">
<input type=\"hidden\" name=\"addr_id\" value=\"$_GET[address_id]\">
<input type=\"hidden\" name=\"url\" value=\"http://www.centrovegetariano.org/Restaurantes-$_GET[address_id].html\">
<input type=\"hidden\" name=\"link\" value=\"Avaliao de Restaurante\">
        <input type=\"hidden\" name=\"success_text\" value=\"Obrigado pela avaliao - foi registada com sucesso.\">
        <input type=\"hidden\" name=\"fail_text\" value=\"Erro: verifique que os comentrios no tm mais de 255 caracteres\">

      <TABLE border=0 cellpadding=5 cellspacing=0 >
        <TR >

          <TD COLSPAN=\"2\"><b>Avalie o restaurante $_GET[address_id] (mx. 255 caracteres)</b></TD>
        </TR>
        <tr>
          <td align=\"right\">Classificao:</td>
          <td>
            <div align=\"center\">Escala: 1 ... 10
              <br>
              <input type=\"radio\" name=\"rating\" value=\"1\">

              <input type=\"radio\" name=\"rating\" value=\"2\">
              <input type=\"radio\" name=\"rating\" value=\"3\">
              <input type=\"radio\" name=\"rating\" value=\"4\">
              <input type=\"radio\" name=\"rating\" value=\"5\" checked>
              <input type=\"radio\" name=\"rating\" value=\"6\">
              <input type=\"radio\" name=\"rating\" value=\"7\">
              <input type=\"radio\" name=\"rating\" value=\"8\">
              <input type=\"radio\" name=\"rating\" value=\"9\">
              <input type=\"radio\" name=\"rating\" value=\"10\">

            <br>
            mau&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;...........&nbsp;&nbsp;&nbsp;&nbsp; bom</div>
          </td>
        </tr>
        <tr>
          <td align=\"right\">Nome:</td>

          <td>
            <input name=\"name\" size=\"35\" tabindex=\"1\">
          </td>
        </tr>
        <TR>
          <TD align=\"right\">E-Mail:</TD>
          <TD>
            <input type=text name=\"email\" value=\"@\" size=\"35\"  tabindex=\"2\">

          </TD>
        </TR>
        <TR>
          <TD align=\"right\" VALIGN=\"TOP\">Comentrios (mx 255 caracteres):</TD>
          <TD>
            <TEXTAREA NAME=\"ge\" COLS=\"55\" ROWS=\"5\" WRAP=\"VIRTUAL\" tabindex=\"3\"></TEXTAREA>";

//             <TEXTAREA NAME=\"ge\" COLS=\"55\" ROWS=\"5\" WRAP=\"VIRTUAL\" onChange="calcCharLeft(this)" onFocus="calcCharLeft(this)" onKeyDown="calcCharLeft(this)" onKeyUp="calcCharLeft(this)" tabindex="3"></TEXTAREA>


echo "  </TD>
        </TR>";

/*<script LANGUAGE=\"JavaScript\">
<!-- hide
      document.write(\"<TR><TD>Verbleibende Zeichen:</TD><TD>\");
      document.write("<input value='255' size='3' name='msg_len' readonly></TD></TR>");
//end hide -->
</script>*/
echo   "<TR>
          <TD>&nbsp;</TD>
          <TD>";
/*<script LANGUAGE=\"JavaScript\">
<!-- hide
  document.write("<input type='button' value='Bewertung abschicken' onClick='TestenUndAbschicken();'>");
//end hide -->
</script>
           <noscript>
echo "  <input type=submit value='Bewertung abschicken' onClick='TestenUndAbschicken();'>";

           </noscript>*/


echo "  <input type=submit value='Enviar' >";

echo "          </TD>
        </TR>

        <TR>
          <TD COLSPAN=\"2\">
          </TD>
        </TR>
      </TABLE>
<input type=\"hidden\" name=\"env_report\" value=\"REMOTE_HOST,HTTP_USER_AGENT\">
</form>
</td></tr></table>";


  }




function parse_op(){
  global $order;


  if(isset($_GET['op']) && $_GET['op']=="csv"){
      show_csv_file();
      return;
      }


  if($order==false) $order="fullname";

  if(!isset($_GET['name'])){
    if(isset($_GET['city'])){
      show_list($order,$_GET['city']);
      return;
      }

    if(isset($_GET['op'])){
      comment();
      return;
      }

    if(isset($_GET['address_id'])){
      show_restaurant($_GET['address_id']);
      return;
      }
    return;
    }


  $name=$_GET['name'];

  $pieces = explode("-",$name);

  if(count($pieces)==1){
    show_city_select();
    return;
    }

  if( (int)$pieces[1]!=0){
    show_restaurant($pieces[1]); // url contains an ID
    return;
    }

  $city = ltrim(strstr($name,"-"),"-");
  show_list($order,$city);


  }


parse_op();


?>
