<?php

/***************************************************************************
                          Etiko software

    developement         : 2001-200x by Etikweb team
    email                : webmaster@etikweb.com
    website              : http://etiko.etikweb.com
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/


class Article{

  var $id; // Article id (or false)

  /** Constructor to receive product id **/
  function Article($id=false){
    $this->id = $id;
    }


/** Show -optional- image and article's title **/
function showHeader($image,$image_text,$name){
  global $site_prefix,$db;

  if($image==true){ // Show image, if available
     output_image("images/articles/$image","100px",$image_text);
     }
  if($name==true) echo "<h1>$name</h1>";
  }


/** Show a block of an article, with or without image **/
function showBlock($name,$image,$image_text,$block,$type){

  // Show image, if available
  if($image==true) output_image("images/articles/$image","100px",$image_text);

  // Section header
  if($name==true) echo "<h2 class=\"newsHeading\">$name</h2>";

  // Section body
  if($type==0) output_text($block); else echo $block;
  }


/** Show a "menu" under the article **/
function showMenu($counter,$full){
  global $logged_user_id,$site_prefix,$site_url;

  echo "[ "; show_counter($counter,READ_1,READ_X); echo " | ";

  if(is_admin($logged_user_id,"articles")){
      show_url("./index.php?destin=article&amp;op=edit&amp;article_id=$this->id",EDIT);
      show("  |  ");
      show_url("./index.php?destin=article&amp;op=del&amp;article_id=$this->id",DEL);
      show("  |  ");
      }

  $name = get_variable_cond($site_prefix,"name","articles","id",$this->id);
  $uname = encode_string($name);

  if($full==true){
    show_url_title("./Article-$this->id-$uname.html",READ_ARTICLE,READ);
    show("  |  ");
    }else{
    show_url_title("./index.php?destin=forum&amp;op=post&amp;cat=$this->id",WRITE_COMMENT,COMMENT);
    show("  |  ");
    show_url_title("./index.php?print=1&amp;article_id=$this->id",PRINT_ARTICLE,PRINT_);
    show("  |  ");
    }
    
  if(is_user($_SESSION['logged_user_id'])){
      show_url_title("index.php?destin=favourites&amp;op=add&amp;iid=$this->id",ADD_TO_FAVOURITES,FAVOURITES); echo " | ";
    }

//  show_url_title("./index.php?destin=article&amp;op=send&amp;article_id=$id",SEND_FRIEND,SEND);
  show_url_title("./index.php?destin=submit&amp;user_id=-1&amp;subject=$name&amp;comments=$site_url/Article-$this->id-$uname.html",SEND_FRIEND,SEND);
  echo " ]";
  }


/** Show a list of categories of a given article, with respective links **/
function showCatList(){
  global $site_prefix;

  $sql_query = "SELECT category_id FROM $site_prefix"."_articles_categories WHERE article_id='$this->id'"; //
  $list = mysql_query($sql_query);

  require("./lib/classes/CatList.php");

  while(list($id) = mysql_fetch_row($list)){
    $cat_list = new CatList($id);
    $cat_list->show();
    br();
    }
  }


/** Show article abstract **/
function showAbstract($menu){
  global $db,$site_prefix,$logged_user_id;

  if(!$this->id) return; // Article doesn't exist

  $list=mysql_query("SELECT name,image,image_text,date,last_update,counter,expire,
       abstract,html FROM $site_prefix"."_articles WHERE id='$this->id'",$db);
  list($name,$image,$image_text,$date,$last_update,$counter,$valid,$abstract,$html) = mysql_fetch_row($list);

  if($valid==-1 && !is_admin($logged_user_id)) return; // Article is hidden
//  if(!valid_article_cat($id)) return;

  $this->showHeader($image,$image_text,$name);

  // Show section 1
  if($html) echo "$abstract"; else output_text($abstract);

  br(); br();

  if($menu==true){ // Show article menu
    echo "<small>";
    $this->showMenu($counter,true);  br();br();
    echo "</small>";
    }

  br(); br();

  }


/** Show an article. Menu with related categ. and facilities is optional (0 = not shown) **/
function show($menu=true){
  global $prefix,$site_prefix,$db,$logged_user_id;

  if(!$this->id) return; // Article doesn't exist

  $list=mysql_query("SELECT name,image,image_text,date,last_update,counter,expire,abstract,body,html FROM
                       $site_prefix"."_articles WHERE id='$this->id'",$db);
  list($name,$image,$image_text,$date,$last_update,$counter,$valid,$abstract,$body,$html) = mysql_fetch_row($list);

  if($valid==-1 && !is_admin($logged_user_id)) return; // Article is hidden
//  if(!valid_article_cat($id)) return;

  mysql_query("UPDATE $site_prefix"."_articles SET counter=counter+1 WHERE id='$this->id'");  // Count one more access

  $this->showHeader($image,$image_text,$name);

  // Show sections
  if($html) smart_output_text($abstract); else output_text($abstract);
  if($html) smart_output_text($body); else output_text($body);


  br(); br();

  $date=convert_date($date);
  $last_update=convert_date($last_update);

  if($date==true) show_small(INSERT_DATE.": $date\n"); br();
  if($last_update==true) show_small(LAST_UPDATE.": $last_update\n"); br();

  if($menu==true){ // Show article menu
    echo "<small>";
    $this->showMenu($counter,0);  br();br();
    $this->showCatList();
    echo "</small>";
    }

  br(); br();

  $sql_query="SELECT id FROM $site_prefix"."_comments WHERE article_id='$this->id' AND parent='0' AND valid='1' ORDER BY id";
  $list=mysql_query($sql_query,$db);

  if(mysql_num_rows($list)<1) return;

  echo "<h2>".COMMENTS."</h2>"; br(); br();

  include_once("./lib/specific/forum.php");
  while(list($message_id) = mysql_fetch_row($list)){
     show_message($message_id);
     }
  }


/** Show list of  categories of a given article **/
function showCategoriesSelect(){
  global $site_prefix;

  $i=0;

  $max_cat=get_variable($site_prefix,"max_categories","site");

  if($this->id==true){
    $sql_query = "SELECT id,category_id FROM $site_prefix"."_articles_categories WHERE article_id='$this->id'";
    $list = mysql_query("$sql_query");

    while(list($id,$category_id) = mysql_fetch_row($list)){
      show_select($site_prefix,"new_cat[$i]","categories",$category_id);
      $i++;
      }
    }

  for(;$i<$max_cat;$i++) show_select($site_prefix,"new_cat[$i]","categories","1");
  }


/** Article form **/
function edit(){
  global $site_prefix,$site_url,$db,$language;

  echo "<h1>".ARTICLES_FORM."</h1>";

  begin_data_form();

  echo "<input type=\"hidden\" name=\"destin\" value=\"article\">
        <input type=\"hidden\" name=\"op\" value=\"save\">";

  $use_wysiwyg=get_variable($site_prefix,"wysiwyg","site");

  if($this->id==true){  // Get info if editing an article
    echo "<input type=\"hidden\" name=\"article_id\" value=\"$this->id\">";

    $result=mysql_query("SELECT name,image,image_text,expire,counter,abstract,body,html,description,keywords FROM $site_prefix"."_articles WHERE id='$this->id'");
    list($name,$image,$image_text,$expire,$counter,$abstract,$body,$html,$description,$keywords)=mysql_fetch_row($result);

    echo EDITING." $name ($this->id)"; br();br();

    $sections_list=mysql_query("SELECT name,body,number,section_type 
                                 FROM $site_prefix"."_sections 
                                 WHERE article_id='$this->id' ORDER BY number");
    } else {
    $image=$name=$image_text=$expire=$abstract=$body=$description=$keywords="";
    $counter=0; if($use_wysiwyg) $html=true; else $html=false;
    }

  echo '<table border="0"><tbody><tr><td>';

  echo TITLE.": </td><td>";  show_text("text","name",45,$name);
  echo "</td></tr><tr><td>".IMAGE.":";

  if($image==true) 
     echo " [$image - <a href=\"./index.php?destin=article&amp;op=del_image&amp;article_id=$this->id\">".DEL."</a>]";
  echo '</td><td>';
  echo "<input type=\"file\" name=\"image\">";


  echo "</td></tr><tr><td>";
  echo ALTERNATIVE_TEXT.":</td><td> ";  show_text("text","image_text",45,$image_text);
  echo "</td></tr><tr><td>";


  echo "</td></tr><tr><td>";
  echo DESCRIPTION.":</td><td> ";  show_text("text","description",45,$description);
  echo "</td></tr><tr><td>";

  echo "</td></tr><tr><td>";
  echo KEYWORDS.":</td><td> ";  show_text("text","keywords",45,$keywords);
  echo "</td></tr><tr><td>";


  echo VALID_FOR.": </td><td>";
  show("<select name=\"expire\">");

  $date=date("YmdHi");
  $y="$date[0]$date[1]$date[2]$date[3]";
  $m="$date[4]$date[5]";

  $yc="$expire[0]$expire[1]$expire[2]$expire[3]";
  $mc="$expire[4]$expire[5]";

  $months=($yc-$y)*12+$mc-$m;

  if($expire>0) echo "<option value=\"$months\" selected=\"$months\">$months ".MONTHS."</option>";
  if($expire==-1) echo "<option value=\"-1\" selected=\"-1\">".INVALID."</option>";
  echo "<option value=\"0\">".NO_LIMIT."</option>
   <option value=\"-1\">".INVALID."</option>
   <option value=\"1\">1 ".MONTH."</option>
	<option value=\"2\">2 ".MONTHS."</option>
	<option value=\"3\">3 ".MONTHS."</option>
	<option value=\"6\">6 ".MONTHS."</option>
	<option value=\"12\">12 ".MONTHS."</option>
	</select>"; br();

  echo "</td></tr></tbody></table>";

  br();
  show_checkbox("html",$html); show(HTML);
  br();br();


  show(CATEGORIES.": ");  $this->showCategoriesSelect(); br();br();


//  $max_sec=get_variable($site_prefix,"max_sections","site");
  echo "<h3>".SECTION." 0</h3>";

  echo "<textarea name=\"abstract\" id=\"abstract\" rows=\"12\" cols=\"65\">$abstract</textarea>";
  if( $html && $use_wysiwyg) echo "<script language=\"JavaScript\">
   generate_wysiwyg('abstract');
 </script>";


  echo "<h3>".SECTION." 1</h3>";

  echo "<textarea name=\"body\" id=\"body\" rows=\"16\" cols=\"65\">$body</textarea>";
  if( $html && $use_wysiwyg) echo "<script language=\"JavaScript\">
   generate_wysiwyg('body');
 </script>";


  br();
  end_form("send",SUBMIT);

  if($this->id==true){
    echo '<div class="box">';
    begin_form();
    echo "<input type=\"hidden\" name=\"destin\" value=\"article\">";
    echo "<input type=\"hidden\" name=\"op\" value=\"addToMenu\">";
    echo "<input type=\"hidden\" name=\"article_id\" value=\"$this->id\">";
    echo ADD_TO_MENU.": "; show_select($site_prefix,"block_id","blocks",false);
    end_form("send",SUBMIT);
    echo "</div>";
    }
}


/** Save article in database **/
function save(){
  global $site_prefix,$op,$db;

  if($this->id==true){
    $result=mysql_query("SELECT id FROM $site_prefix"."_articles WHERE id='$this->id'");
    if(mysql_num_rows($result)>0){
      $this->update(); // Article exists - only update
      return;
      }
     }

  $date=date("YmdHi");

  mysql_query("LOCK TABLE $site_prefix"."_articles WRITE",$db);
  $sql_query="INSERT INTO $site_prefix"."_articles (id,date,counter) 
               VALUES (NULL,'$date','0')";
  mysql_query($sql_query,$db); // Insert article
  $sql_query="SELECT id FROM $site_prefix"."_articles WHERE date='$date' ORDER BY id DESC";
  $result=mysql_query($sql_query,$db); // get article id
  mysql_query("UNLOCK TABLES",$db);

  list($this->id) = mysql_fetch_row($result);
  $this->update(); // Article exists - update
  }


/** Delete image associated with this article **/
function delImage(){
  global $site_prefix,$db;

  $old_img=get_variable_cond($site_prefix,"image","articles","id",$this->id);

  @unlink("images/articles/$old_img");

  mysql_query("UPDATE $site_prefix"."_articles SET image='' WHERE id='$this->id'",$db);
  }

/** Update an article and all its sections **/
function update(){
  global $site_prefix,$op,$db,$logged_user_id;

  if($_POST['expire']>0) $expire=compute_future_date(0,$_POST['expire'],0); // Add some months
    else $expire=$_POST['expire'];
//echo "*************$_POST[expire]***********";
  $update_date=date("YmdHi"); // Last update today


  $result=mysql_query("SELECT id FROM $site_prefix"."_articles WHERE name='$_POST[name]' AND id!='$this->id'");
  if(mysql_num_rows($result)) echo "<div class=\"box\">".DUPLICATE_ENTRY."</div>";

  if( isset($_FILES['image']) && strlen($_FILES['image']['name'])>4){
//echo "FILE
    $old_img=get_variable_cond($site_prefix,"image","articles","id",$this->id);
    @unlink("images/articles/$old_img");

    include_once("./lib/classes/File.php");
    $new_img = new File("image","images/articles");

    $file_name=$new_img->getName();
    $sql_query="UPDATE $site_prefix"."_articles SET image='$file_name' WHERE id='$this->id'";
    mysql_query($sql_query,$db);
    }

  $abstract = stripslashes( $_POST['abstract'] ) ;
  $body = stripslashes( $_POST['body'] ) ;

  if(isset($_POST['html']) ) $html='1';
    else $html=0;

  $sql_query="UPDATE $site_prefix"."_articles SET name='$_POST[name]',image_text='$_POST[image_text]',description='$_POST[description]',keywords='$_POST[keywords]',expire='$expire',last_update='$update_date',abstract='$abstract',body='$body',html='$html' WHERE id='$this->id'";
  mysql_query($sql_query,$db);


  $this->updateCategories();
  }

/** Update list of categories for this article **/
function updateCategories(){
  global $site_prefix;

  mysql_query("DELETE FROM $site_prefix"."_articles_categories WHERE article_id='$this->id'"); // Reset list

  foreach ($_POST['new_cat'] as $cat) {
   if($cat==1) continue; // "None"
    $sql_query = "INSERT INTO $site_prefix".
        "_articles_categories (id,article_id,category_id) VALUES (NULL,'$this->id','$cat')"; //
      mysql_query($sql_query);
    }
  }

/**  Delete article **/
function del(){
  global $site_prefix,$op,$db;


  $img=get_variable_cond($site_prefix,"image","articles","id",$this->id);
//    echo "DELETING ---$img-------";
  @unlink("images/articles/$img");

  mysql_query("DELETE FROM $site_prefix"."_articles WHERE id='$this->id'",$db);
  mysql_query("DELETE FROM $site_prefix"."_sections WHERE article_id='$this->id'",$db);
  mysql_query("DELETE FROM $site_prefix"."_articles_categories WHERE article_id='$this->id'",$db);
  }


/** Show list of articles not classified under any category **/
function showUnclassifiedHidden(){
  global $db,$site_prefix;

  echo "<h2>".INVALIDS."</h2>";

  $list=mysql_query("SELECT id,name FROM $site_prefix"."_articles WHERE expire='-1'",$db);

  while( (list($id,$name)=mysql_fetch_row($list)) == true){
    show_url_title("./index.php?article_id=$id",READ_ARTICLE,$name);
    echo " - ";
    show_url_title("./index.php?destin=article&amp;op=edit&amp;article_id=$id",EDIT_ARTICLE,EDIT);
    echo " - ";
    show_url_title("./index.php?destin=article&amp;op=del&amp;article_id=$id",DEL_ARTICLE,DEL);
    br();
    }

  echo "<h2>".UNCLASSIFIEDS."</h2>";

  $list=mysql_query("SELECT id,name FROM $site_prefix"."_articles WHERE expire!='-1' ",$db);

  while( (list($id,$name)=mysql_fetch_row($list)) == true){

    $result=mysql_query("SELECT id FROM $site_prefix"."_articles_categories WHERE article_id='$id'");
    if(mysql_num_rows($result)>0) continue;
    show_url_title("./index.php?article_id=$id",READ_ARTICLE,$name);
    echo " - ";
    show_url_title("./index.php?destin=article&amp;op=edit&amp;article_id=$id",EDIT_ARTICLE,EDIT);
    echo " - ";
    show_url_title("./index.php?destin=article&amp;op=del&amp;article_id=$id",DEL_ARTICLE,DEL);
    br();
    }
  }



/** Delete articles which have expired **/
function deleteOld(){
  global $site_prefix,$op,$db;

  $date = date("YmdHi");

  $result=mysql_query("SELECT id FROM $site_prefix"."_articles WHERE expire<'$date' AND expire!='0' AND expire!='-1'",$db);

  while(list($id)=mysql_fetch_row($result)){
    $article = new Article($id);
    $article->del();
    }
  }


// Add link to menu
function addToMenu(){
  global $site_prefix;

  $result=mysql_query("SELECT name FROM $site_prefix"."_articles WHERE id='$this->id'");
  $name = mysql_result($result,0);
  $uname = encode_string($name);


  $result=mysql_query("SELECT html,body FROM $site_prefix"."_blocks WHERE id='$_POST[block_id]'");
  list($html,$body) = mysql_fetch_row($result);

  if($html){
    $n = strrpos($body,"<");
    if($n==0) $body= "<ul>\n"; else $body=substr($body,0,$n);

    $body .="

<li><a href=\"./Article-$this->id-$uname.html\" title=\"$name\">$name</a></li>
</ul>";
    }else{
    $body .="
Article-$this->id-$uname.html $name
";
    }

  $result=mysql_query("UPDATE $site_prefix"."_blocks SET body='$body' WHERE id='$_POST[block_id]'");


  }




}

?>
