<?php

/***************************************************************************
                          Etiko software

    developement         : 2001-200x by Etikweb team
    email                : webmaster@etikweb.com
    website              : http://etiko.etikweb.com
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/


class Cat{

  var $id; // Product id (or false)

  /** Constructor to receive product id **/
  function Cat($id=false){
    $this->id = $id;
    }


// Display a list of subcategories of a given category
function showSubCategories($id,$level){
  global $site_prefix,$op,$db,$logged_user_id;

  $sql_query = "SELECT id,name,comments FROM $site_prefix"."_categories WHERE parent='$id' ";
  if(is_admin($logged_user_id)==false) $sql_query="$sql_query AND valid='1' ";
  $sql_query="$sql_query ORDER BY name,id";

  $result = mysql_query($sql_query,$db);

  while(list($id,$name,$comments) = mysql_fetch_row($result)){

    for($i=1;$i<$level;$i++) echo "&nbsp;&nbsp;&nbsp;";
    $uname = encode_string($name);
    echo "<a href=\"./Cat-$id-$uname.html\" title=\"$comments\">$name</a>";;

    if(is_admin($logged_user_id)==true){
      show("  -  ");
      show_url("./index.php?destin=cat&amp;op=edit&amp;cat_id=$id",EDIT); show("  -  ");
      show_url("./index.php?destin=cat&amp;op=del&amp;cat_id=$id",DEL);
      }
    br();
    $this->showSubCategories($id,($level+1)); // Called recursively
    }
  }






function showArticles(){
  global $site_prefix,$db;

  if(get_variable_cond($site_prefix,"valid","categories","id",$this->id)==false) return; // category not valid

  require_once("./lib/classes/ArticleList.php");
  $list = new ArticleList($this->id);

  $n = $list->getSize();

  if($n>0){
    echo "<h2>".ARTICLES." ($n)</h2>"; br(); br();
    $list->show();
    }
  }


function showProducts(){
  global $logged_user_id,$site_prefix,$db;

  if(get_variable_cond($site_prefix,"valid","categories","id",$this->id)==false) return; // category not valid

  require_once("./lib/classes/ProductList.php");
  if(isset($_GET['sort'])) $sort=$_GET['sort']; else $sort='id';
  if(isset($_GET['order'])) $order = $_GET['order']=='ASC' ? 'DESC' : 'ASC'; else $order='DESC';
  $l = new ProductList($this->id,$sort,$order);

  $n = $l->getSize();
  if( $n <= 0) return;

  echo "<h2>".PRODUCTS." ($n)</h2>"; br();
    echo '<div class="box">';
    echo SORT_BY.": <a href=\"./index.php?cat_id=$this->id&amp;sort=id&amp;order=$order\" title=\"".INSERT_DATE.'">'.DATE.'</a>';
    echo " | <a href=\"./index.php?cat_id=$this->id&amp;sort=price&amp;order=$order\" title=\"".PRICE.'">'.PRICE.'</a>';
    echo " | <a href=\"./index.php?cat_id=$this->id&amp;sort=name&amp;order=$order\" title=\"".NAME.'">'.NAME.'</a>';

    echo "</div>";



//   echo '</div>';

  br();
  $l->show();

  }


function showComments(){
  global $logged_user_id,$site_prefix,$db;

  if(get_variable_cond($site_prefix,"valid","categories","id",$this->id)==false) return; // category not valid
  if(get_variable($site_prefix,"outstand","site")!=5) return; // not forum

  $sql_query="SELECT id FROM $site_prefix"."_comments WHERE article_id='$this->id' AND parent='0' ORDER BY id DESC";
  $list=mysql_query($sql_query,$db);

  if(mysql_num_rows($list)<1) return;

  echo "<h2>".MESSAGES."</h2>";
  br(); br();
  include_once("./lib/specific/forum.php");
//  while(list($id)=mysql_fetch_row($list))
//    show_message($id);
  show_messages($this->id,0);
  }

function showDownloads(){
  global $logged_user_id,$site_prefix,$db;

  if(get_variable_cond($site_prefix,"valid","categories","id",$this->id)==false) return; // category not valid

  $sql_query="SELECT id FROM $site_prefix"."_downloads WHERE cat_id='$this->id' ORDER BY id DESC";
  $list=mysql_query($sql_query,$db);

//echo "-----$cat_id----";
  if(mysql_num_rows($list)==0) return;

  require_once("./lib/specific/downloads.php");

  echo "<h2>".DOWNLOADS."</h2>";
  show_downloads_list($logged_user_id,$this->id);
  br(); br();
  }

function showImages(){
  global $logged_user_id,$site_prefix,$db;

  if(get_variable_cond($site_prefix,"valid","categories","id",$this->id)==false) return; // category not valid

  $sql_query="SELECT id FROM $site_prefix"."_gallery WHERE cat_id='$this->id' ";
  $list=mysql_query($sql_query,$db);

//echo "-----$cat_id----";
  if(mysql_num_rows($list)==0) return;

  require_once("./lib/classes/Gallery.php");

  echo "<h2>".GALLERY."</h2>";
  $gallery=new Gallery();
  $gallery->showList($this->id);
  br(); br();
  }


function showClassifieds(){
  global $logged_user_id,$site_prefix,$db;

  if(get_variable_cond($site_prefix,"valid","categories","id",$this->id)==false) return; // category not valid


  require_once("./lib/specific/classifieds.php");

  show_classifieds_list(0,$this->id,0);
  br(); br();
  }



// Show form 
function edit(){
  global $site_prefix;


  echo "<h1>".CATEGORIES_FORM."</h1>";

  begin_form();
  echo "<input type=\"hidden\" name=\"destin\" value=\"cat\">";
  echo "<input type=\"hidden\" name=\"op\" value=\"save\">";

  if($this->id==true){
    echo "<input type=\"hidden\" name=\"cat_id\" value=\"$this->id\">";
    $name=get_variable_cond($site_prefix,"name","categories","id",$this->id);
    $users_may_post=get_variable_cond($site_prefix,"users_may_post","categories","id",$this->id);
    $valid=get_variable_cond($site_prefix,"valid","categories","id",$this->id);
    $list=get_variable_cond($site_prefix,"list","categories","id",$this->id);
    $parent=get_variable_cond($site_prefix,"parent","categories","id",$this->id);
    $comments=get_variable_cond($site_prefix,"comments","categories","id",$this->id);
    br(); echo EDITING_CATEGORY." $name ($this->id)"; br();
    } else {
    $name=$users_may_post=$valid=$parent=$comments=$list="";
    }

  br();   show(NAME.": ");
  show_text("text","name",20,$name);

  if($parent==false) $parent=1;
  br();   show(UNDER.": ");
  if($this->id==true)
    show_select_except($site_prefix,"parent","categories",$parent,$this->id);
    else
    show_select($site_prefix,"parent","categories",$parent);

  br(); br();
  if($users_may_post==true)
      echo "<input type=\"checkbox\" name=\"users_may_post\" checked>";
      else echo "<input type=\"checkbox\" name=\"users_may_post\">";
  show(USERS_MAY_POST);

  br();
  if($valid==true)
      echo "<input type=\"checkbox\" name=\"valid\" checked>";
      else echo "<input type=\"checkbox\" name=\"valid\">";
  show(SHOWN);

  br();
  if($list==true)
      echo "<input type=\"checkbox\" name=\"list\" checked>";
      else echo "<input type=\"checkbox\" name=\"list\">";
  show(LIST_IN_MENU);

  br();  show(DESCRIPTION.":");  br();
  show("<textarea name=\"comments\" rows=\"8\" cols=\"55\">$comments</textarea>");
  br(); br();
  end_form("send",SUBMIT);
  }



function insert(){
  global $site_prefix,$op,$db;

  mysql_query("LOCK TABLE $site_prefix"."_categories WRITE",$db);
  $sql_query="INSERT INTO $site_prefix"."_categories (id) VALUES (NULL)";
  mysql_query($sql_query,$db);
  $result=mysql_query("SELECT id FROM $site_prefix"."_categories ORDER BY id DESC");
  mysql_query("UNLOCK TABLES",$db);

  $this->id=mysql_result($result,0);
  }

function save(){
  global $site_prefix,$op,$db;

  if($this->id==false) $this->insert();

  if(isset($_POST['users_may_post'])) $users_may_post=1; else $users_may_post=0;
  if(isset($_POST['valid'])) $valid=1; else $valid=0;
  if(isset($_POST['list'])) $list=1; else $list=0;

  $sql_query = "SELECT parent FROM $site_prefix"."_categories WHERE id='$_POST[parent]'";
  $result = mysql_query($sql_query,$db);
  $pp=mysql_result($result,0);

  if($pp==$this->id){
//    echo ERROR;
   return;
   }

  $sql_query="UPDATE $site_prefix"."_categories SET name='$_POST[name]',parent='$_POST[parent]',comments='$_POST[comments]',
    users_may_post='$users_may_post',valid='$valid',list='$list' WHERE id='$this->id'";
  mysql_query($sql_query,$db);
  }


//  Delete category (and all subs in cascade)
function del(){
  global $site_prefix,$op,$db;

  $sql_query = "SELECT id,name FROM $site_prefix"."_categories WHERE parent='$this->id'";
  $result = mysql_query($sql_query,$db);

  mysql_query("DELETE FROM $site_prefix"."_categories WHERE id='$this->id'",$db);

  mysql_query("DELETE FROM $site_prefix"."_articles_categories WHERE category_id='$this->id'",$db);
  mysql_query("DELETE FROM $site_prefix"."_product_categories WHERE category_id='$this->id'",$db);

  mysql_query("DELETE FROM $site_prefix"."_classifieds WHERE category='$this->id'",$db);
  mysql_query("DELETE FROM $site_prefix"."_gallery WHERE cat_id='$this->id'",$db);


  while(list($id,$name) = mysql_fetch_row($result)){ // Delete nested categories
//    show("Deleting $name...<br>");
    $x = new Cat($id); // Delete nested categories
    $x->del();
    };
  }





// Display the list of categories
function showAll(){
  global $site_prefix,$db,$logged_user_id;

  $admin=is_admin($logged_user_id);

  $sql_query = "SELECT id,name,comments FROM $site_prefix"."_categories WHERE parent='1' ";
  if($admin==false) $sql_query = "$sql_query AND valid='1' "; // Hide not valid categories from visitors
  $sql_query = "$sql_query ORDER BY name,id";

  $list = mysql_query($sql_query,$db);

  while(list($list_id,$list_name,$comments) = mysql_fetch_row($list)){
      $uname = encode_string($list_name);
      echo "<a href=\"./Cat-$list_id-$uname.html\" title=\"$comments\">$list_name</a>";;

    if($admin){
      show("  -  ");
      show_url("./index.php?destin=cat&amp;op=edit&amp;cat_id=$list_id",EDIT);
      show("  -  ");
      show_url("./index.php?destin=cat&amp;op=del&amp;cat_id=$list_id",DEL);
      }
    br();
    $this->showSubcategories($list_id,2);
    }
  }



// Returns a table containing the list of categories hierarchically above $cat_id
function buildCatTable($id){
  global $site_prefix,$db;

  $result = mysql_query("SELECT parent FROM $site_prefix"."_categories WHERE id='$id'",$db);
  $parent = mysql_result($result,0);

  $list[0]=$id;

  $counter=1;
  while($parent>1){
    $list[$counter++]=$parent;
    $result = mysql_query("SELECT parent FROM $site_prefix"."_categories WHERE id='$parent'",$db);
    $parent = mysql_result($result,0);
    }
  return $list;
}


// Receive a table of categories and show all the elements in reverse order
function showCatTable($table){
  global $site_prefix;

  for($total=count($table);$total>0;$total--){
    $cat_id=$table[$total-1];
    $name=get_variable_cond($site_prefix,"name","categories","id",$cat_id);
    if($total!=count($table)) echo " > ";
    $uname = encode_string($name);
    show_url("./Cat-$cat_id-$uname.html",$name);
    }
  }




function show(){
  global $logged_user_id,$site_prefix,$db;

  echo "<div class=\"category\">";
  if(get_variable_cond($site_prefix,"valid","categories","id",$this->id)==false) return; // category not valid

  $tab=$this->buildCatTable($this->id); // Build list of categories

  $name=get_variable_cond($site_prefix,"name","categories","id",$this->id);
  echo "<b>".CATEGORY.":</b> ";
  $this->showCatTable($tab);
  br();

  $comments=get_variable_cond($site_prefix,"comments","categories","id",$this->id);
  output_text($comments);

  br(); br();

  $admin=is_admin($logged_user_id);

  $sql_query = "SELECT id FROM $site_prefix"."_categories WHERE parent='$this->id' AND valid='1' LIMIT 0,1";
  $result = mysql_query($sql_query,$db);
  if(mysql_num_rows($result)>0){
    echo "<b>".SUBCATEGORIES.":</b> "; br();
    $this->showSubCategories($this->id,1);
    }
  echo "</div>";
  br(); br();

  $this->showArticles();
  $this->showComments();
  $this->showImages();
  $this->showDownloads();
  $this->showClassifieds();

  $site_type=get_variable($site_prefix,"outstand","site");
  if($site_type==4){
//    include_once("./extra/lib_products.php");
    $this->showProducts();
    }

}




}

?>
