<?php

/***************************************************************************
                          Etiko software

    developement         : 2001-200x by Etikweb team
    email                : webmaster@etikweb.com
    website              : http://etiko.etikweb.com
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

require_once("./lib/classes/Product.php");


class ProductList{

  var $cat,$sort,$order;


  /** Constructor to begin list with products of a given category or empty list**/
  function ProductList($cat=false,$sort='id',$order='DESC'){

    $this->cat = $cat;
    $this->sort = $sort;
    $this->order = $order;
    }


/** Show all the products in the list **/
function show($limit=5){

  if($this->cat==false){
      $this->showOutstand($limit);
      }else{
      $this->showCat();
      }
  }

  /** Show products for the first page **/
  function showOutstand($limit){
    global $site_prefix;

    require_once("./lib/classes/DB.php");
    $db = new DB();

    $sql_query="SELECT id FROM $site_prefix"."_products WHERE first_page='1' AND valid='1' ORDER BY id DESC LIMIT 0,$limit";

    $list=mysql_query($sql_query,$db->getDB());

    while(list($id) = mysql_fetch_row($list)){
      $p = new Product($id);
      $p->showAbstract(); br();
      }
//    $db->close();
    }

  /** Show products under a given category **/
  function showCat(){
    global $site_prefix,$db;

    $sql_query="SELECT $site_prefix"."_products.id FROM
        $site_prefix"."_products,$site_prefix"."_product_categories WHERE
        $site_prefix"."_product_categories.category_id='$this->cat' AND
        $site_prefix"."_product_categories.product_id=$site_prefix"."_products.id AND valid='1'
        ORDER BY $this->sort $this->order ";

    $list=mysql_query($sql_query,$db);

    while(list($id) = mysql_fetch_row($list)){
      $p = new Product($id);
      $p->showAbstract(); br();
      }

  }

  // Get list size
  function getSize(){
    global $site_prefix;

    require_once("./lib/classes/DB.php");
    $db = new DB();

    $sql_query="SELECT $site_prefix"."_products.id FROM
        $site_prefix"."_products,$site_prefix"."_product_categories WHERE
        $site_prefix"."_product_categories.category_id='$this->cat' AND
        $site_prefix"."_product_categories.product_id=$site_prefix"."_products.id AND valid='1'";

    $list=mysql_query($sql_query,$db->getDB());

    return mysql_num_rows($list);
    }




}

?>
