<?php
/***************************************************************************
                          Etiko software
                             -------------------
    developement         : 2001-200x by Etikweb
    email                : webmaster@etikweb.com
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

/** This file contains general purpose funcions ***/



// Function to show a variable's contents
function show($str){

	echo "$str";
}

// Show a line break
function br(){
	echo "<br />";
}

// begin bold
function bold(){
	echo "<b>";
}

// end bold
function end_bold(){
	echo "</b>";
}

// show a given text in bold
function show_bold($text){
	echo "<b>$text</b>";
}


// show text centered
function show_centered($text){
	echo "<center>$text</center>";
}


// end small text
function end_small(){
	echo "</small>";
}

// show small text
function show_small($text){
	echo "<small>$text</small>";
}



// Function to show an url with text $text
function show_url($url,$text){
  echo "<a href=\"$url\">$text</a>";
  }

// Function to show an url with text and title
function show_url_title($url,$title,$text){
  echo "<a href=\"$url\" title=\"$title\">$text</a>";
  }

// Show link to return to previous page
function show_back_link($str){
  
  show_url("javascript:history.go(-1);",$str);
  }

// Function to show a select field (contents from table $table)
function show_select($prefix,$name,$table,$default_id=false){
  global $db;

  $sql_query = "SELECT id,name FROM $prefix"."_"."$table ORDER BY name";
  $list = mysql_query("$sql_query");

  echo "\n<select name=\"$name\"'>\n";

  while(list($list_id,$list_name) = mysql_fetch_row($list)){
    
    if($default_id==$list_id) 
      echo "<option selected value=\"$list_id\">$list_name</option>\n";
    else
    echo "<option value=\"$list_id\">$list_name</option>\n";
    
    
    }

  echo "</select>";
  }


// Function to show a select field (contents from table $table) - submit on change
function show_select_submit($prefix,$name,$table,$default_id=false){
  global $db;

  $sql_query = "SELECT id,name FROM $prefix"."_"."$table ORDER BY name";
  $list = mysql_query("$sql_query");

  echo "\n<select name=\"$name\" OnChange='submit()'>\n";
/*
  if($default_id==true){
    $sql_query = "SELECT name FROM $prefix"."_$table WHERE id='$default_id'";
    $result = mysql_query("$sql_query");
    $default_name=mysql_result($result,0);
    echo "<option \"selected\" value=\"$default_id\">$default_name</option>\n";
    }else{
    list($list_id,$list_name) = mysql_fetch_row($list);
    echo "<option \"selected\" value=\"$list_id\">$list_name</option>\n";
    }
*/

  while(list($list_id,$list_name) = mysql_fetch_row($list)){
    
    if($default_id==$list_id) 
      echo "<option selected value=\"$list_id\">$list_name</option>\n";
    else
    echo "<option value=\"$list_id\">$list_name</option>\n";
    
    
    }

  echo "</select>";
  }

// Function to show a select field (contents from table $table)
function show_select_cond($prefix,$name,$table,$default_id,$var,$cond){
  global $db;

  $sql_query = "SELECT id,name FROM $prefix"."_"."$table WHERE $var='$cond' ORDER BY name";
  $list = mysql_query("$sql_query");

  echo "\n<select name=\"$name\"'>\n";

  while(list($list_id,$list_name) = mysql_fetch_row($list)){
    
    if($default_id==$list_id) 
      echo "<option selected value=\"$list_id\">$list_name</option>\n";
    else
    echo "<option value=\"$list_id\">$list_name</option>\n";
    
    
    }

  echo "</select>";
  }

/** Function to show a select field (contents from table $table), hiding "except" id **/
function show_select_except($prefix,$name,$table,$default_id,$except){
  global $db;

  $sql_query = "SELECT id,name FROM $prefix"."_"."$table WHERE id!='$except' ORDER BY name ";
  $list = mysql_query("$sql_query");

  echo "\n<select name=\"$name\"'>\n";

  while(list($list_id,$list_name) = mysql_fetch_row($list)){
    echo "<option ";
    if($default_id==$list_id) echo " selected ";
    echo " value=\"$list_id\">$list_name</option>\n";
    }
  echo "</select>\n";
  }



/** Show counter number (singular / plural **/
function show_counter($counter,$singular,$plural){

   if($counter){
      echo "$counter ";
      if($counter==1) echo "$singular";
      else  echo "$plural";
     }
   }



function show_image($str,$alt){

  if($alt=="") $alt=$str;
  echo "<img src=\"$str\" border=\"0\" alt=\"$alt\" />";
  }


/** Convert text to HTML **/
function output_text($block){
  global $site_host;

  $d = explode("/",$site_host);
  $domain = $d[2];

  if($block==false) return;

  $block2=nl2br($block);
  $array=explode("http:",$block2);

  for($i=0;$i<count($array);$i++){

    if($array[$i]{0}!="/"){
      $x=$array[$i];
    }else{
      $position=strpos($array[$i]," ");
      $position2=strpos($array[$i],"\n");
      $position3=strpos($array[$i],"<");

      if($position2 && $position2<$position) $position=$position2;
      if($position3 && $position3<$position) $position=$position3;

      if(!$position) $position=strlen($array[$i]);
      $sub_str=substr($array[$i],0,$position);
      if(strstr($array[$i],$domain))
          $x=substr_replace("$array[$i]","<a href=\"http:$sub_str\">http:$sub_str</a> ",0,$position);
          else
          $x=substr_replace("$array[$i]","<a href=\"http:$sub_str\" target=\"_blank\">http:$sub_str</a> ",0,$position);
      }

//  $x1=str_replace(" ","&nbsp;",$x);
  show($x);
    }

  }


function search_text_links($text){
  global $site_host;

  $d = explode("/",$site_host);
  $domain = $d[2];

//  echo "<br><br>-----$text----<br><br>";
  $array=explode("http:/",$text);

  foreach($array as $ar){ // All the links start here
    if($ar[0]!='/'){ // Not a link
      echo $ar;
      continue;
      }

    $n=strpos($ar," ");

    $n2=strpos($ar,"<");
    if($n2 && $n2<$n) $n=$n2;

    $n2=strpos($ar,",");
    if($n2 && $n2<$n)$n=$n2;

    $n2=strpos($ar,";");
    if($n2 && $n2<$n)$n=$n2;

    $n2=strpos($ar,")");
    if($n2 && $n2<$n)$n=$n2;

    if(!$n) $n=strlen($ar);


    $link=substr($ar,0,$n);
    $text=substr($ar,$n,strlen($ar));

    echo "<a href=\"http:/$link\"";
    if(!strpos($link,$domain)) echo " target=\"_blank\" ";
    echo ">http:/$link</a> $text";
    }
}

/** Link text links **/
function smart_output_text($block){
  global $site_host;

  $d = explode("/",$site_host);
  $domain = $d[2];

  if($block==false) return;

  $array=explode("<a ",$block);

  foreach($array as $ar){ // All the links start here
    if($ar[0]!='h'){ // Not a link
      search_text_links($ar);
      continue;
      }
    $array2=explode("</a>",$ar);
    echo "<a $array2[0]</a>";
    if(count($array2)>1) search_text_links($array2[1]);
    }

    }



/** Convert date from format YYYYMMDD to YYYY.MM.DD **/
function convert_date($date){

  if(strlen($date)<8)  return 0; // Invalid format

  $new_date="$date[0]$date[1]$date[2]$date[3].$date[4]$date[5].$date[6]$date[7]";
  return $new_date;
  }

/** convert date from format YYYY.MM.DD to YYYYMMDD **/
function unconvert_date($date){

  $d=explode(".",$date);

  if(count($d)<3) $d=explode($date,"/");
  if(count($d)<3) $d=explode($date,"-");
  if(count($d)<3) $d=explode($date,":");

  if(count($d)<3)  return 0; // Invalid format

  $new_date=sprintf("%02d%02d%02d",$d[0],$d[1],$d[2]);
//echo "RETURN((((((((((((((($new_date))))))))))))))))";
  return $new_date;
  }

/** Convert date from format YYYYMMDDHHMMSS to YYYY.MM.DD - HH:MSS **/
function convert_date_time($date){

  if(strlen($date)<12)  return 0; // Invalid format

  $new_date="$date[0]$date[1]$date[2]$date[3].$date[4]$date[5].$date[6]$date[7] - $date[8]$date[9]:$date[10]$date[11]";
  if(strlen($date)>12) $new_date.=":$date[12]$date[13]";

  return $new_date;
  }

/** Convert date from format YYYY.MM.DD - HH:M to YYYYMMDDHHMM **/
function unconvert_date_time($date){

  if(strlen($date)<18)  return 0; // Invalid format

  $new_date="$date[0]$date[1]$date[2]$date[3]$date[5]$date[6]$date[8]$date[9]$date[13]$date[14]$date[16]$date[17]";
  if(strlen($date)>18) $new_date.="$date[19]$date[20]";

  return $new_date;
  }



function output_image($str,$w,$alt){

  if($alt=="") $alt=$str;

  if($w)
    show_url("./index.php?img_src=$str&amp;alt=$alt",
      "<img src=\"$str\" width=\"$w\" border=\"0\" align=\"left\" alt=\"$alt\" />");
    else  show_url("./index.php?img_src=$str&amp;alt=$alt",
     "<img src=\"$str\" border=\"0\" align=\"left\" alt=\"$alt\" />");
  }

function output_fixed_image($str,$w,$alt){

  if($alt=="") $alt=$str;
  if($w)
  show_url("./index.php?img_src=$str&amp;alt=$alt",
  "<img src=\"$str\" width=\"$w\" border=\"0\" align=\"left\" alt=\"$alt\">");
  else  show_url("./index.php?img_src=$str&amp;alt=$alt",
    "<img src=\"$str\" border=\"0\"  align=\"left\" alt=\"$alt\">");
}




// Show a table with content given
function show_block_header($name){
	global $menu_color;

	begin_table(0,"100%",0,0);
	begin_cell("100%",1,$menu_color,"top");
	show("<b>$name</b>");
	end_table();
}


// Compute date some years, months and days in the future - TO FINISH!
function compute_future_date($years,$months,$days){

  $date=date("YmdHi");

  $y="$date[0]$date[1]$date[2]$date[3]";
  $m="$date[4]$date[5]";
  $d="$date[6]$date[7]";
  $h="$date[8]$date[9]";
  $i="$date[10]$date[11]";

  $m+=$months;
  if($m>12) {
   $y++;
   $m -= 12;
   }

  switch($m){
    case 1:
    case 3:
    case 5:
    case 7:
    case 8:
    case 10:
    case 12:
      $ndays=31;
      break;
    case 2:
     if($y%4==0) $ndays=29; else $ndays=28;
     break;
    default:
      $ndays=30;
    }

  $d+=$days;

  if($d>$ndays) {
   $m++;
   $d -= $ndays;
   }


  $y+=$years;

  return sprintf("%04d%02d%02d%02d%02d",$y,$m,$d,$h,$i);
  }

// Compute date some years, months and days in the past
function compute_past_date($years,$months,$days){

  $date=date("YmdHi");

  $y="$date[0]$date[1]$date[2]$date[3]";
  $m="$date[4]$date[5]";
  $d="$date[6]$date[7]";
  $h="$date[8]$date[9]";
  $i="$date[10]$date[11]";

  switch($m){
    case 1:
    case 3:
    case 5:
    case 7:
    case 8:
    case 10:
    case 12:
      $ndays=31;
      break;
    case 2:
     if($y%4==0) $ndays=29; else $ndays=28;
     break;
    default:
      $ndays=30;
    }

  $d-=$days;

  if($d<1) {
   $m--;
   $d += $ndays;
   }

  $m-=$months;
  if($m<1) {
   $y--;
   $m += 12;
   }

  $y-=$years;

  return sprintf("%04d%02d%02d%02d%02d",$y,$m,$d,$h,$i);
  }


function encode_string($s){

  return urlencode(urlencode($s));
  }

function decode_string($s){

  return urldecode(urldecode($s));
  }



// Check if email contains invalid characters
function email_check($email){

  if (($email==false) || ($email=="") || (!eregi("^[_\.0-9a-z-]+@([0-9a-z][0-9a-z-]+\.)+[a-z]{2,5}$",$email)))
       return INVALID_EMAIL;

  if (strrpos($email,' ') > 0)
      return INVALID_EMAIL;

  return false;
  }




?>
