<?php
/***************************************************************************
                          Etiko software
                             -------------------
    developement         : 2001-200x by Etikweb
    email                : webmaster@etikweb.com
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/



function parse_op(){
  global $op,$logged_user_id,$comment_id,$char_id,$order_id;

  if( is_admin($logged_user_id)==false ){
    echo UNAVAILABLE_OPTION;
    return false;
    }

  if(file_exists("./require/admin_$op.php")==true){ //
    require("./require/admin_$op.php");
    return;
    }


  switch($op){

    case "admin":
      require("./lib/specific/admin_admin.php");
      change_admin($logged_user_id);
      break;
    case "chars": // Shop
      require("./extra/admin_chars.php");
      change_chars($logged_user_id);
      break;
    case "countries": //
      require("./extra/admin_countries.php");
      change_countries($logged_user_id);
      break;
    case "downloads":
      require("./lib/specific/admin_downloads.php");
      change_downloads($logged_user_id);
      break;
    case "files":
      require("./lib/specific/admin_files.php");
      change_files($logged_user_id);
      break;
    case "interests":
      require("./lib/specific/admin_interests.php");
      change_interests($logged_user_id);
      break;
    case "news":
      require("./lib/specific/admin_newsletter.php");
      change_newsletter($logged_user_id);
      break;
    case "offers": //
      require("./extra/admin_offers.php");
      change_offers($logged_user_id);
      break;
    case "opt_chars": // Shop
      require("./extra/admin_chars.php");
      change_opt_chars($logged_user_id,$char_id);
      break;
    case "orders": // Shop
      require("./extra/admin_orders.php");
      change_orders($logged_user_id,$order_id);
      break;

    case "related_sites":
      require("./lib/specific/admin_related_sites.php");
      change_related_sites($logged_user_id);
      break;
    case "stocks": // Shop
      require("./extra/admin_orders.php");
      show_stocks();
      break;
    case "users":
      require("./lib/specific/admin_users.php");
      change_users($logged_user_id);
      break;
    }
  }



parse_op();



?>
