<?php

/***************************************************************************
                          galaxia-alfa software
                             -------------------
    developement         : 2001-200x by galaxia-alfa team
    email                : webmaster@galaxia-alfa.com
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/


//require_once("lib/specific/articles.php");
require_once("lib/tables.php");

// Show most read articles
function show_articles_top(){
  global $site_prefix,$db;

  $limit=get_variable($site_prefix,"top_articles","site");
  $sql_query="SELECT id,name,counter FROM $site_prefix"."_articles ORDER BY counter DESC LIMIT 0,$limit";
  $list=mysql_query($sql_query,$db);

  $bg_color="transparent";
  if(mysql_num_rows($list)<1) return;

  echo "<h1>".TOP." $limit</h1>";

  begin_table(0,"100%",0,0);
  begin_cell("5%",1,$bg_color,"top");

  $counter=0;
  while( (list($list_id,$list_name,$list_counter)=mysql_fetch_row($list))==true){
    $counter++;

    end_cell();
    end_row();

    if(($counter-1)%10==0){ // Draw a blank line every 10 articles
      begin_cell("5%",1,$bg_color,"top"); end_cell();
      begin_cell("10%",1,$bg_color,"top"); end_cell();
      begin_cell("85%",1,$bg_color,"top"); echo "&nbsp; ";
      end_cell(); end_row();
      }

    begin_cell("5%",1,$bg_color,"top");

    show_centered("<b>$counter</b>");

    end_cell();
    begin_cell("10%",1,$bg_color,"top");

    show_centered("$list_counter");
    if($list_name=="") $list_name=$list_id;

    end_cell();
    begin_cell("85%",1,$bg_color,"top");

    show_url_title("index.php?article_id=$list_id",READ_ARTICLE,$list_name);
    br();
    }

  end_table();
  }




// Show a table row with a number and a given string
function show_stat($n,$str){

  show_bold($n);
  show(" $str"); br();
  }


// Show ordered stats of table containing $n lines on the format[number,name]
function show_ordered_stats($tab,$n){

  for($i=0;$i<$n;$i++){ // For all the lines

    // Search for the greatest stat
    $greatest=0; // Assume the first is the greatest

    for($j=1;$j<$n;$j++) if($tab[$j][0] > $tab[$greatest][0]) $greatest=$j; // Scan the table

    show_stat($tab[$greatest][0],$tab[$greatest][1]);

    $tab[$greatest][0]=-1; // Avoid future use of this stat
    }
  }


// Show the number of registerd users following each type of diet
function show_users_by_diet(){
  global $prefix,$site_prefix;

  br();

  $list=mysql_query("SELECT id,name FROM $prefix"."_diets");

  $interest=get_variable($site_prefix,"associated_interest","site");

  $i=0; // Build the table of stats
  while( list($diet_id,$diet_name)=mysql_fetch_row($list) ){

    $sql_query="SELECT $prefix"."_users.id FROM $prefix"."_users,$prefix".
      "_users_interests WHERE diet='$diet_id' AND $prefix"."_users_interests.user_id=$prefix".
      "_users.id AND $prefix"."_users_interests.interest_id='$interest'";

    $n=mysql_num_rows(mysql_query($sql_query));

    $tab[$i][0]=$n; // Save stat to table
    $tab[$i++][1]=$diet_name;
    }

  show_ordered_stats($tab,$i);
  }




function show_users_by_country(){
  global $prefix,$site_prefix;

  br();

  $list=mysql_query("SELECT id,name FROM $prefix"."_countries");
  $interest=get_variable($site_prefix,"associated_interest","site");

  $i=0;
  while( list($country_id,$country_name)=mysql_fetch_row($list) ){
    $n=mysql_num_rows(mysql_query("SELECT $prefix"."_users.id FROM $prefix"."_users,$prefix".
        "_users_interests WHERE country='$country_id' AND $prefix"."_users_interests.user_id=$prefix".
        "_users.id AND $prefix"."_users_interests.interest_id='$interest'"));

    if($n>0){
      $tab[$i][0]=$n; // Save stat to table
      $tab[$i++][1]=$country_name;
      }
    }

  show_ordered_stats($tab,$i);
  }



function show_users_by_education(){
  global $prefix,$site_prefix;

  br();

  $list=mysql_query("SELECT id,name FROM $prefix"."_education");
  $interest=get_variable($site_prefix,"associated_interest","site");

  $i=0;
  while( list($degree_id,$degree_name)=mysql_fetch_row($list) ){
    $n=mysql_num_rows(mysql_query("SELECT $prefix"."_users.id FROM $prefix"."_users,$prefix".
        "_users_interests WHERE education='$degree_id' AND $prefix"."_users_interests.user_id=$prefix".
        "_users.id AND $prefix"."_users_interests.interest_id='$interest'"));

    $tab[$i][0]=$n; // Save stat to table
    $tab[$i++][1]=$degree_name;
    }

  show_ordered_stats($tab,$i);
  }






// Some interesting data about the users
function show_users_stats(){
  global $prefix,$site_prefix;

  br(); br();
  echo "<h3>".USERS."</h3>";
  br();

  $interest=get_variable($site_prefix,"associated_interest","site");

  $n=mysql_num_rows(mysql_query("SELECT $prefix"."_users.id FROM $prefix"."_users,$prefix".
      "_users_interests WHERE $prefix"."_users.id=$prefix"."_users_interests.user_id AND $prefix".
      "_users_interests.interest_id='$interest'"));

  show_stat($n,USERS_REGISTERED);

  if(get_variable("$site_prefix","diet","site"))
    show_users_by_diet();

  if(get_variable("$site_prefix","country","site"))
    show_users_by_country();

  if(get_variable("$site_prefix","education","site"))
    show_users_by_education();

  }



function show_site_stats(){
  global $prefix,$site_prefix,$site_url;

  echo "<h1>".STATS." ".$site_url."</h1>";
  br();

  $n=get_variable($site_prefix,"counter","site");
  $start_date=get_variable($site_prefix,"start_date","site");
//  $associated_interest=get_variable($site_prefix,"associated_interest","site");
  $date=convert_date($start_date);

  show_stat($n," ".VISITS_SINCE." $date");

  $n=mysql_num_rows(mysql_query("SELECT id FROM $site_prefix"."_articles"));
  if($n) show_stat($n,ARTICLES);

  $n=mysql_num_rows(mysql_query("SELECT id FROM $site_prefix"."_classifieds"));
  if($n) show_stat($n,CLASSIFIEDS);  
  
  $n=mysql_num_rows(mysql_query("SELECT id FROM $site_prefix"."_downloads"));
  if($n) show_stat($n,FILES);
  
  $n=mysql_result(mysql_query("SELECT SUM(counter) FROM $site_prefix"."_downloads"),0);
  if($n) show_stat($n,DOWNLOADS);

  $n=mysql_num_rows(mysql_query("SELECT id FROM $site_prefix"."_products"));
  if($n) show_stat($n,"produtos");

  $n=mysql_num_rows(mysql_query("SELECT id FROM $site_prefix"."_pages"));
  if($n) show_stat($n,PAGES);

  $n=mysql_num_rows(mysql_query("SELECT id FROM $site_prefix"."_categories WHERE parent='1'"));
  if($n) show_stat($n,TOPICS);

  $n=mysql_num_rows(mysql_query("SELECT id FROM $site_prefix"."_categories WHERE parent!='1'"));
  if($n) show_stat($n,SUBTOPICS);

  $n=mysql_num_rows(mysql_query("SELECT id FROM $site_prefix"."_newsletter"));
  if($n) show_stat($n,NEWSLETTERS_SENT);

  show_users_stats();
  }





function parse_op(){
  global $op;

  switch($op){
    case "show_site":
      show_site_stats();
      break;
    default:
      show_articles_top();
      break;
    }
  }

parse_op();

?>
